function ExamineFor_ContractRebel( teamId, playerId )
	local storyId = "REBEL"
	local storyActive = IsStoryIDActive( storyId ) -- Change to IsStoryActive( "storyId" )
	if( storyActive == false ) then		
		local numPlayersOnTeam = GetNumPlayers( teamId )
		if( numPlayersOnTeam >= 23 ) then
			local oneClubPlayer = HasPlayerTrait( teamId, playerId, "ONE_CLUB_PLAYER" )
			local isListed = IsPlayerOnTransferList( playerId )
			local storyConflict = IsPlayerInvolvedInSaga( playerId )
			local wouldLeave = WouldPlayerEvenLeaveClub( teamId, playerId )
			local playerTier = GetPlayerTier( teamId, playerId )
			if( playerTier <= 3 ) then
				if( oneClubPlayer == false and isListed == false and storyConflict == false and wouldLeave == true ) then
					local reason = GetReasonForPlayerUpset( teamId, playerId )		
					if( reason > 0 ) then
						local randShouldAdd = RollPercentageDice( GetTuningValue( "willPlayerRebel", "REBEL" ) ) -- add/remove true to force the the random								
						if( randShouldAdd == true ) then
							local involved = IsPlayerInvolvedInStoryCategory( playerId, "WAGE" )
							if( involved == true ) then
								local numStories = GetNumStoriesByCategory( "WAGE" )
								for storyCount = numStories, 1, -1 do
									local currentStory = GetStoryByCategoryAndIndex( "WAGE", storyCount )
									local storyPlayer = GetStoryPlayer( currentStory )
									if( storyPlayer == playerId ) then
										local storyId2 = GetStoryId( currentStory )
										EndStoryId( storyId2 )
										break
									end
								end
							end
							StartStory_ContractRebel( teamId, playerId, reason )
						end -- if( randShouldAdd == true ) then
					end --if( reason > 0 ) then
				end --if( contractInRange == true and isUltimatePro == false ) then
			end --if( numPlayersOnTeam > 25 ) then
		end --if( percThroughSeason < 85 ) then
	else --if( storyActive == false ) then
		OfferContractToRebel( playerId )
	end --if( numStories == 0 ) then		
end

function MonthPassed_CPUContractRebel( months )
	local storyId = "REBEL_CPU"
	local storyActive = IsStoryIDActive( storyId )
	if( storyActive == false ) then
		-- local percThroughSeason = GetPercentageThroughSeason()
		local inWindow = IsWithinTransferWindow()
		if( inWindow == false ) then -- 
			local chanceToStart = RollPercentageDice( 10 ) -- 10%
			if( chanceToStart == true ) then
				local userTeam = GetUserTeam()
				local playerId = GetRebelCpuPlayer()
				if( playerId > 0 ) then
					local teamId = GetTeamIdFromPlayerId( playerId )
					local reason = GetReasonForPlayerUpset( teamId, playerId )
					if( reason > 0 ) then
						StartStory_ContractRebel( teamId, playerId, reason )
					end
				end
			end
		end
	end
end

function GetRebelCpuPlayer()
	local numTeams = GetNumberOfTeamsInLeague()
	local validPlayers = {}
	local userTeam = GetUserTeam()
	for teamCount = 1, numTeams do
		local teamId = GetTeamIdByIndex( teamCount )
		if( teamId ~= userTeam and teamId ~= -1 ) then
			local numPlayersOnTeam = GetNumPlayers( teamId )
			if( numPlayersOnTeam >= 23 ) then
				local playerId = GetPlayerToRebel( teamId )
				if( playerId > 0 ) then
					table.insert( validPlayers, playerId )
				end
			end
		end
	end
	local tableSize = # validPlayers
	local chosenPlayer = 0
	if( tableSize > 0 ) then
		local randNum = GetRandomNumber( 1, tableSize )
		chosenPlayer = validPlayers[ randNum ]
	end
	return chosenPlayer
end

function GetPlayerToRebel( teamId )
	teamId = StackRankTeamByOverall( teamId )
	local numPlayers = 11
	local validPlayers = {}
	local isPap = IsPlayAsPlayer()
	local papId = 0
	if( isPap == true ) then
		papId = GetPlayAsPlayerID()
	end
	for playerCount = 1, numPlayers do
		local playerId = GetPlayer( teamId, playerCount )
		if( playerId ~= papId ) then
			local reason = GetReasonForPlayerUpset( teamId, playerId )
			if( reason > 0 ) then
				local oneClubPlayer = HasPlayerTrait( teamId, playerId, "ONE_CLUB_PLAYER" )
				local isListed = IsPlayerOnTransferList( playerId )
				local storyConflict = IsPlayerInvolvedInSaga( playerId )
				local wouldLeave = WouldPlayerEvenLeaveClub( teamId, playerId )
				local playerTier = GetPlayerTier( teamId, playerId )
				if( oneClubPlayer == false and isListed == false and storyConflict == false and wouldLeave == true and playerTier <= 3 ) then
					table.insert( validPlayers, playerId )
				end
			end
		end
	end
	local tableSize = # validPlayers
	local chosenPlayer = 0
	if( tableSize > 0 ) then
		local randNum = GetRandomNumber( 1, tableSize )
		chosenPlayer = validPlayers[ randNum ]
	end
	return chosenPlayer
end

function StartStory_ContractRebel( teamId, playerId, reason )
	local category = "CONT_REB"
	local storyId = "REBEL"
	if( teamId ~= GetUserTeam() ) then
		storyId = "REBEL_CPU"
	end
	if( MarkPlayerForStory( teamId, playerId, category, storyId ) == true ) then
		local story = GetStoryById( storyId )
		SetNoDeathAtEOS( story )
		if( reason == 1 ) then
			SetStoryVariable( story, "UNDERACHIEVE" )
		elseif( reason == 2 ) then
			SetStoryVariable( story, "TOOBIGFORTEAM" )
		else
			SetStoryVariable( story, "BADWAGE" )
		end
		local randDelay = GetRandomNumber( GetTuningValue( "start_Delay_Low", "REBEL" ), GetTuningValue( "start_Delay_High", "REBEL" ) )
		if( storyId ~= "REBEL_CPU" ) then
			SetStoryContractOverride( story, 6 )	-- 6 is negotiating
		end
		AddDateEvent( "CONTREB_ST0", randDelay, storyId )
	end	--if( MarkPlayerForStory( teamId, playerId, category, storyId ) == true ) then
end

function OfferContractToRebel( playerId )
	-- already tested for user team
	local storyId = "REBEL"
	local currentStory = GetStoryById( storyId )
	local storyPlayer = GetStoryPlayer( currentStory )
	if( playerId == storyPlayer ) then
		local storyTeam = GetStoryTeam( currentStory )
		local currentWage = GetPlayerWage( storyTeam, storyPlayer )
		local offeredWage = GetPlayerOfferedWage( storyTeam, storyPlayer )
		local perc = GetTuningValue( "wagePercent", "REBEL" )
		local percOfCurrent = ( currentWage * perc ) / 100
		local randDelay = GetRandomNumber( GetTuningValue( "stage0_Delay_Low", "REBEL" ), GetTuningValue( "stage0_Delay_High", "REBEL" ) )
		if( offeredWage > currentWage + percOfCurrent ) then
			AddDateEvent( "CONTREB_ACCEPT", randDelay, storyId )
		else
			AddDateEvent( "CONTREB_REJECT", randDelay, storyId )
		end
		SetStoryContractOverride( currentStory, 6 )	-- 6 is negotiating
	end
end

function ContractRebelDynamicEvent( eventId, linkId )
	local storyId = "REBEL"
	if( string.find( linkId, storyId ) ~= nil ) then		
		if( string.find( eventId, "CONTREB_ST" ) ~= nil ) then
			ContractRebel_Stage( eventId, linkId )
		elseif( eventId == "CONTREB_LIST" ) then
			ContractRebelListedEvent( linkId )
		elseif( eventId == "CONTREB_ACCEPT" ) then
			ContractRebelAcceptContract( linkId )
		elseif( eventId == "CONTREB_ACCEPT_P2" ) then
			ContractRebelAcceptContractNews( linkId )
		elseif( eventId == "CONTREB_REJECT" ) then
			ContractRebelRejectContract( linkId )
		end
	end -- if( storyId == linkId ) then
end

function ContractRebel_Stage( eventId, storyId )
	local currentStory = GetStoryById( storyId )
	local storyPlayer = GetStoryPlayer( currentStory )
	local storyTeam = GetStoryTeam( currentStory )			
	local reason = GetStoryVariable( currentStory )
	local minDays = 0
	local maxDays = 0
	local newEventId = "CONTREB_ST"
	SetStringPlayer( storyPlayer )
	SetStringTeam( storyTeam )
	if( eventId == "CONTREB_ST0" ) then
		AddConversation( storyPlayer, "popup_contractrebel_notresigning_stage0_", 1, 4, "popup_contractrebel_notresigning_stage0_subject", currentStory )
		minDays = GetTuningValue( "stage1_Delay_Low", "REBEL" )
		maxDays = GetTuningValue( "stage1_Delay_High", "REBEL" )
		if( storyId ~= "REBEL_CPU" ) then
			SetStorySellPlayersOverride( currentStory, 3 )  -- 3 is not resigning
			SetStoryContractOverride( currentStory, 2 )		-- 2 is not resigning
			if( reason == "UNDERACHIEVE" ) then
				SetStoryMoraleOverride( currentStory, 2 ) 	-- 2 is team under achieveing
			elseif( reason == "TOOBIGFORTEAM" ) then
				SetStoryMoraleOverride( currentStory, 3 ) 	-- 3 is too big for team
			else
				SetStoryMoraleOverride( currentStory, 4 ) 	-- 4 is bad wage
			end		
		end
		newEventId = newEventId .. "1"
	elseif( eventId == "CONTREB_ST1" ) then 
		SetNewsImportance( "EXCLUSIVE" )
		TriggerNews( "news_contractrebel_title_stage1_initial_", 1, 4, "news_contractrebel_body_stage1_initial_", 1, 4, currentStory )
		SetStoryStage( currentStory, 1 )
		minDays = GetTuningValue( "stage2_Delay_Low", "REBEL" )
		maxDays = GetTuningValue( "stage2_Delay_High", "REBEL" )
		newEventId = newEventId .. "2"
	elseif( eventId == "CONTREB_ST2" ) then		
		SetNewsImportance( "EXCLUSIVE" )
		TriggerNews( "news_contractrebel_title_stage2_why_", 1, 4, "news_contractrebel_body_stage2_why_", 1, 4, currentStory )
		SetStoryStage( currentStory, 2 )
		minDays = GetTuningValue( "stage3_Delay_Low", "REBEL" )
		maxDays = GetTuningValue( "stage3_Delay_High", "REBEL" )
		newEventId = newEventId .. "3"
	elseif( eventId == "CONTREB_ST3" ) then 
		local numOffers = 3
		local actualOffers, offer1, offer2, offer3 = FindSuitableTeamsForPlayer( storyTeam, storyPlayer, numOffers, false ) -- 3 offers
		if( offer1 == nil or offer2 == nil or offer3 == nil ) then
			offer1, offer2, offer3 = FindSuitablePlayersSafety( storyPlayer5 )
		end
		SetStringTeams( storyTeam, offer1, offer2, offer3 )
		SetNewsImportance( "EXCLUSIVE" )
		TriggerNews( "news_contractrebel_title_stage3_who_", 1, 4, "news_contractrebel_body_stage3_who_", 1, 4, currentStory )
		AddConversation( storyPlayer, "popup_contractrebel_notsure_stage3_", 1, 4, "popup_contractrebel_notsure_stage3_subject", currentStory )
		SetStoryStage( currentStory, 3 )
		minDays = GetTuningValue( "stage3half_Delay_Low", "REBEL" )	-- less cos of step 3.5
		maxDays = GetTuningValue( "stage3half_Delay_High", "REBEL" )
		newEventId = newEventId .. "3.5"
	elseif( eventId == "CONTREB_ST3.5" ) then 	
		local inWindow = IsWithinTransferWindow()
		local success = RollPercentageDice( GetTuningValue( "willTeamBid", "REBEL" ) ) -- add/remove true to force the the random								
		if( inWindow == true and success == true ) then
			local numOffers = 2					
			local actualOffers, offer1, offer2 = FindSuitableTeamsForPlayer( storyTeam, storyPlayer, numOffers, false ) -- 2 offers
			local offerTeam = 0
			if( actualOffers > 0 ) then
				local randOffer = GetRandomNumber( 1, actualOffers )
				if( randOffer == 1 ) then
					offerTeam = offer1
				else
					offerTeam = offer2
				end
				CreateOfferForPlayer( storyTeam, storyPlayer, offerTeam )
			end --if( actualOffers > 0 ) then
		end --if( inWindow == true and success == true ) then
		minDays = GetTuningValue( "stage4_Delay_Low", "REBEL" )
		maxDays = GetTuningValue( "stage4_Delay_High", "REBEL" )
		newEventId = newEventId .. "4"
	elseif( eventId == "CONTREB_ST4" ) then
		local actualOffers, offer1 = FindSuitableTeamsForPlayer( storyTeam, storyPlayer, 1, false ) -- 1 offers
		if( offer1 == nil ) then
			offer1 = FindSuitablePlayersSafety( storyPlayer )
		end
		SetStringTeam( offer1, 2 )
		SetNewsImportance( "EXCLUSIVE" )
		TriggerNews( "news_contractrebel_title_stage4_agent_", 1, 4, "news_contractrebel_body_stage4_agent_", 1, 4, currentStory )
		SetStoryStage( currentStory, 4 )
		minDays = GetTuningValue( "stage4half_Delay_Low", "REBEL" )	-- less cos of step 4.5
		maxDays = GetTuningValue( "stage4half_Delay_High", "REBEL" )
		newEventId = newEventId .. "4.5"
	elseif( eventId == "CONTREB_ST4.5" ) then 	
		local inWindow = IsWithinTransferWindow()
		local successFirstTwo = RollPercentageDice( GetTuningValue( "willTeamBid", "REBEL" ) ) -- add/remove true to force the the random
		local successAnother = RollPercentageDice( GetTuningValue( "willTwoTeamsBid", "REBEL" ) )
		if( inWindow == true and ( successFirstTwo == true or successAnother == true ) ) then					
			local numOffers = 2
			local startRandom = 1
			if( successAnother == true ) then
				startRandom = 2
				numOffers = 5
			end
			MakeCPUOfferForPlayer( storyTeam, storyPlayer, numOffers, startRandom )
		end	
		minDays = GetTuningValue( "stage5_Delay_Low", "REBEL" )
		maxDays = GetTuningValue( "stage5_Delay_High", "REBEL" )
		newEventId = newEventId .. "5"
	elseif( eventId == "CONTREB_ST5" ) then 
		SetNewsImportance( "EXCLUSIVE" )
		TriggerNews( "news_contractrebel_title_stage5_speculation_", 1, 4, "news_contractrebel_body_stage5_speculation_", 1, 4, currentStory )
		SetStoryStage( currentStory, 5 )
		minDays = GetTuningValue( "stage6_Delay_Low", "REBEL" )
		maxDays = GetTuningValue( "stage6_Delay_High", "REBEL" )
		newEventId = newEventId .. "6"
	elseif( eventId == "CONTREB_ST6" ) then
		local numOffers = 3
		local actualOffers, offer1, offer2, offer3 = FindSuitableTeamsForPlayer( storyTeam, storyPlayer, numOffers, false ) -- 2 offers
		if( offer1 == nil or offer2 == nil or offer3 == nil ) then
			offer1, offer2, offer3 = FindSuitablePlayersSafety( storyPlayer5 )
		end
		SetStringTeams( storyTeam, offer1, offer2, offer3 )
		SetNewsImportance( "EXCLUSIVE" )
		TriggerNews( "news_contractrebel_title_stage6_monitor_", 1, 4, "news_contractrebel_body_stage6_monitor_", 1, 4, currentStory )
		SetStoryStage( currentStory, 6 )
		minDays = GetTuningValue( "stage7_Delay_Low", "REBEL" )
		maxDays = GetTuningValue( "stage7_Delay_High", "REBEL" )
		newEventId = newEventId .. "7"
	elseif( eventId == "CONTREB_ST7" ) then
		SetNewsImportance( "EXCLUSIVE" )
		TriggerNews( "news_contractrebel_title_stage7_further_", 1, 4, "news_contractrebel_body_stage7_further_", 1, 4, currentStory )
		SetStoryStage( currentStory, 7 )
		minDays = GetTuningValue( "stage8_Delay_Low", "REBEL" )
		maxDays = GetTuningValue( "stage8_Delay_High", "REBEL" )
		newEventId = newEventId .. "8"
	elseif( eventId == "CONTREB_ST8" ) then
		local isGoing = RollPercentageDice( GetTuningValue( "isGoingToLeave", "REBEL" ) )
		if( isGoing == true ) then
			local isListed = IsPlayerOnTransferList( storyPlayer )
			if( isListed == false ) then
				AddConversation( storyPlayer, "popup_contractrebel_transferlistme_stage8_", 1, 4, "popup_contractrebel_stage8_subject", currentStory )
			end
			UpdateStoryActivity( currentStory )
			newEventId = newEventId .. "10"
			SetStoryVariable( currentStory, "0" )
		else
			AddConversation( storyPlayer, "popup_contractrebel_wanttostay_stage8_", 1, 4, "popup_contractrebel_stage8_subject", currentStory )
			newEventId = newEventId .. "9"
		end
		maxDays = GetTuningValue( "stage9_Delay_Low", "REBEL" )
		minDays = GetTuningValue( "stage9_Delay_High", "REBEL" )
	elseif( eventId == "CONTREB_ST9" ) then
		local actualOffers, offer1 = FindSuitableTeamsForPlayer( storyTeam, storyPlayer, 1, false ) -- 1 offers
		if( offer1 == nil ) then
			offer1 = FindSuitablePlayersSafety( storyPlayer )
		end
		SetStringTeam( offer1, 2 )
		SetNewsImportance( "EXCLUSIVE" )
		TriggerNews( "news_contractrebel_title_stage9_staying_", 1, 4, "news_contractrebel_body_stage9_staying_", 1, 4, currentStory )
		SetStoryStage( currentStory, 8 )
		if( storyId ~= "REBEL_CPU" ) then
			SetStorySellPlayersOverride( currentStory, -1 ) -- Clearing
			SetStoryContractOverride( currentStory, -1 )	-- Clearing
		end
		EndStoryId( storyId )
		maxDays = GetTuningValue( "stage10_Delay_Low", "REBEL" )
		minDays = GetTuningValue( "stage10_Delay_High", "REBEL" )
		newEventId = "CONTREBDONE1"
	elseif( eventId == "CONTREB_ST10" ) then
		SetNewsImportance( "EXCLUSIVE" )
		TriggerNews( "news_contractrebel_title_stage10_leaving_", 1, 4, "news_contractrebel_body_stage10_leaving_", 1, 4, currentStory )
		SetStoryStage( currentStory, 9 )
		maxDays = 1
		minDays = 1
		newEventId = "CONTREBDONE2"
	end
	local randNo = GetRandomNumber( minDays, maxDays )
	AddDateEvent( newEventId, randNo, storyId )
	UpdateStoryActivity( currentStory )
end

function ContractRebelTransferComplete( buyingTeam, sellingTeam, playerId, transfer, contract, price, wage, playerValue )
	local storyId = "REBEL"
	if( sellingTeam ~= GetUserTeam() ) then
		storyId = "REBEL_CPU"
	end
	local storyActive = IsStoryIDActive( storyId )
	if( storyActive == true ) then
		local currentStory = GetStoryById( storyId )
		local storyPlayer = GetStoryPlayer( currentStory )
		if( playerId == storyPlayer ) then			
			EndStoryId( storyId )
			SetStringPlayer( storyPlayer )
			SetStringTeams( buyingTeam, sellingTeam )
			SetStringCurrency( price )
			SetNewsImportance( "EXCLUSIVE" )
			TriggerNews( "news_contractrebel_title_transfer_complete_", 1, 4, "news_contractrebel_body_transfer_complete_", 1, 4, currentStory )
			SetStoryStage( currentStory, 10 )
		end
	end --if( storyActive == true ) then
end

function ContractRebelBidRejected( buyingTeamId, playerId, marketValue, marketWage, moneyOffered, sellingTeamId )
	local storyId = "REBEL"
	if( sellingTeam ~= GetUserTeam() ) then
		storyId = "REBEL_CPU"
	end
	local storyActive = IsStoryIDActive( storyId )
	if( storyActive == true ) then
		local currentStory = GetStoryById( storyId ) 
		local storyPlayer = GetStoryPlayer( currentStory )
		if( storyPlayer == playerId ) then
			local storyVar = GetStoryVariable( currentStory )			
			local storyTeam = GetStoryTeam( currentStory )
			SetStringPlayer( storyPlayer )
			if( storyVar == "0" ) then
				SetStoryVariable( currentStory, "1" )
			elseif( storyVar == "1" ) then
				if( storyId == "REBEL" ) then
					local userName = GetUsername()
					SetInterrupting()
					TriggerEmail( false, userName, "CM_Inbox_Sender_Board", "CM_Email_ContractRebel_SellHimNow_Subject_", 1, 4, "CM_Email_ContractRebel_SellHimNow_Body_", 1, 4 )
					AddDateEvent( "CONTREB_LIST", 2, storyId )
				end
				local numOffers = 5
				local startRandom = 1
				MakeCPUOfferForPlayer( storyTeam, storyPlayer, numOffers, startRandom )
				SetStoryVariable( currentStory, "2" )
			elseif( storyVar == "2" ) then
				SetStringTeam( buyingTeamId, 2 )
				SetStoryAllowTransferNews( currentStory, false )
				if( storyId == "REBEL" ) then
					local userName = GetUsername()
					SetInterrupting()
					TriggerEmail( false, userName, "CM_Inbox_Sender_Board", "CM_Email_ContractRebel_WeveSoldHim_Subject_", 1, 4, "CM_Email_ContractRebel_WeveSoldHim_Body_", 1, 4 )
				end
				ForceAcceptTransferOffer( storyTeam, storyPlayer, buyingTeamId )
			else
				-- Normal rejection way before the demand to leave
				SetStringTeams( storyTeam, buyingTeamId )
				SetNewsImportance( "EXCLUSIVE" )
				TriggerNews( "news_contractrebel_title_transfer_bidrejected_", 1, 4, "news_contractrebel_body_transfer_bidrejected_", 1, 4, currentStory )
			end --if( storyVar == "0" ) then
		end -- if( storyPlayer == playerId ) then
	end --if( storyActive == true ) then
end

function ContractRebelListedEvent( storyId )
	local currentStory = GetStoryById( storyId )
	local storyPlayer = GetStoryPlayer( currentStory )
	local storyTeam = GetStoryTeam( currentStory )
	local isListed = IsPlayerOnTransferList( storyPlayer )
	if( isListed == false ) then
		if( storyId == "REBEL" ) then
			SetStringPlayer( storyPlayer )
			SetStringTeam( storyTeam )
			SetInterrupting()
			local userName = GetUsername()
			TriggerEmail( false, userName, "CM_Inbox_Sender_Board", "CM_Email_ContractRebel_ForceList_Subject_", 1, 4, "CM_Email_ContractRebel_ForceList_Body_", 1, 4 )
			SetStorySellPlayersOverride( currentStory, 1 )	-- 1 is board selling
			ForceUserPlayerOntoTransferList( storyPlayer )
		else
			ForceCPUPlayerOntoTransferList( storyTeam, storyPlayer )
		end
	end --if( isListed == false ) then
end

function ContractRebelAcceptContract( storyId )
	local currentStory = GetStoryById( storyId )
	local storyPlayer = GetStoryPlayer( currentStory )
	local storyTeam = GetStoryTeam( currentStory )
	PlayerContractAccept( storyTeam, storyPlayer )
	if( storyId == "REBEL" ) then
		AddConversation( storyPlayer, "popup_contractrebel_imsigning_", 1, 4, "popup_contractrebel_imsigning_subject", currentStory )
	end
	AddDateEvent( "CONTREB_ACCEPT_P2", 2, storyId )
end

function NumDaysLeft_CPUTransferRebel( numDays )
	if( numDays == 15 or numDays == 10 or numDays == 5 ) then
		local storyId = "REBEL_CPU"
		local storyActive = IsStoryIDActive( storyId )
		if( storyActive == true ) then
			local chance = 100
			if( numDays == 15 ) then
				chance = 25
			elseif( numDays == 10 ) then
				chance = 50
			end
			local willRun = RollPercentageDice( chance )
			if( willRun == true ) then
				local currentStory = GetStoryById( storyId )
				local storyPlayer = GetStoryPlayer( currentStory )
				local storyTeam = GetStoryTeam( currentStory )
				local choice = RollPercentageDice( 50 )
				local stage = GetStoryStage( currentStory )
				if( stage ~= 8 ) then
					local actualOffers, offer1, offer2, offer3 = FindSuitableTeamsForPlayer( storyTeam, storyPlayer, 3, false )
					if( actualOffers > 0 ) then
						local randOffer = GetRandomNumber( 1, actualOffers )
						local chosenOffer = offer1
						if( randOffer == 2 ) then
							chosenOffer = offer2
						elseif( randOffer == 3 ) then
							chosenOffer = offer3
						end
						ForceTransfer( storyTeam, storyPlayer, chosenOffer, false )
					else
						ContractRebelAcceptContractNews( storyId )
					end
				else
					ContractRebelAcceptContractNews( storyId )
				end
			end
		end
	end
end

function ContractRebelAcceptContractNews( storyId )
	local currentStory = GetStoryById( storyId )
	local storyPlayer = GetStoryPlayer( currentStory )
	local storyTeam = GetStoryTeam( currentStory )
	SetStringPlayer( storyPlayer )
	SetStringTeam( storyTeam, 1 )		
	SetNewsImportance( "EXCLUSIVE" )
	TriggerNews( "news_contractrebel_title_contract_accepted_", 1, 4, "news_contractrebel_body_contract_accepted_", 1, 4, currentStory )
	EndStoryId( storyId )			
end

function ContractRebelRejectContract( storyId )
	if( storyId == "REBEL" ) then
		local currentStory = GetStoryById( storyId )
		local storyPlayer = GetStoryPlayer( currentStory )
		local storyTeam = GetStoryTeam( currentStory )
		SetStringPlayer( storyPlayer )
		SetStringTeam( storyTeam )
		local userName = GetUsername()
		SetInterrupting()
		TriggerEmail( false, userName, "CM_Inbox_Sender_Board", "CM_Email_ContractRebel_PlayerRejectContractSubject_", 1, 4, "CM_Email_ContractRebel_PlayerRejectContractBody_", 1, 4 )
		SetStorySellPlayersOverride( currentStory, 3 ) -- 3 is not resigning
		SetStoryContractOverride( currentStory, 2 )	-- 2 is not resigning
	end
end

function ContractRebelWindowOpen( numDays )
	if( numDays == 5 or numDays == 10 or numDays == 15 ) then
		local storyId = "REBEL"
		for storyCount = 1, 2 do
			if( storyCount == 2 ) then
				storyId = "REBEL_CPU"
			end
			local storyActive = IsStoryIDActive( storyId )
			if( storyActive == true ) then			
				local currentStory = GetStoryById( storyId )
				local storyVar = GetStoryVariable( currentStory )
				if( storyVar == "0" or storyVar == "1" or storyVar == "2" ) then
					local shouldMakeOffer = RollPercentageDice( GetTuningValue( "shouldMakeOffer", "REBEL" ) ) -- add/remove true to force the the random		
					if( shouldMakeOffer == true ) then
						local storyPlayer = GetStoryPlayer( currentStory )
						local storyTeam = GetStoryTeam( currentStory )
						local startRandom = 1
						local numOffers = 5
						MakeCPUOfferForPlayer( storyTeam, storyPlayer, numOffers, startRandom )
					end --if( shouldMakeOffer == true ) then
				end --if( storyVar == "0" || storyVar == "1" || storyVar == "2" ) then		
			end --if( storyActive == true ) then
		end
	end --if( numDays == 5 or numDays == 10 or numDays == 15 ) then
end

----------------------- PLAYER UNHAPPY WITH WAGE ---------------------

function ExamineFor_UnhappyWithWage( teamId, playerId )
	local category = "WAGE"
	local numStories = GetNumStoriesByCategory( category )
	if( numStories < 5 ) then
		local userTeam = GetUserTeam()
		if( teamId == userTeam ) then
			local involved = IsPlayerInvolvedInStoryCategory( playerId, category )
			if( involved == false ) then
				local playerTier = GetPlayerTier( teamId, playerId )
				if( playerTier < 6 ) then
					local isListed = IsPlayerOnTransferList( playerId )
					local loanListed = IsPlayerOnLoanList( playerId )
					if( isListed == false and loanListed == false ) then
						StartStory_UnhappyWithWage( teamId, playerId )
					end
				end
			end
		end
	end
end

function StartStory_UnhappyWithWage( teamId, playerId )
	local storyId = "UNHAPPYWAGE"
	local category = "WAGE"
	local numStories = GetNumStoriesByCategory( category )
	storyId = storyId .. "_" .. numStories
	if( MarkPlayerForStory( teamId, playerId, category, storyId, 21 ) == true ) then
		local delay = GetRandomNumber( 2, 7 )
		AddDateEvent( "STARTDELAY", delay, storyId )
	end
end

function UnhappyWithWage_Stage1( storyId )
	local currentStory = GetStoryById( storyId )
	local storyPlayer = GetStoryPlayer( currentStory )
	local storyTeam = GetStoryTeam( currentStory )
	SetStringTeams( storyTeam )
	SetStringPlayers( storyPlayer )
	SetStoryMoraleOverride( currentStory, 4 )
	AddConversation( storyPlayer, "popup_unhappywage_stage1_", 1, 4, "popup_unhappywage_stage1_subject", currentStory )
	local delay = 30
	local inWindow = IsWithinTransferWindow()
	if( inWindow == true ) then
		local numDays = GetNumDaysRemainingInTransferWindow()
		if( numDays <= 30 and numDays > 20 ) then
			delay = numDays - 5
		end
	else
		local numDays = GetNumDaysUntilNextTransferWindow()
		if( numDays < 30 ) then
			delay = numDays + 5
		end
	end
	AddDateEvent( "REQUESTWAGE", delay, storyId )
	SetStoryStage( currentStory, 1 )
end

function UnhappyWithWage_DynamicEvent( eventId, storyId )
	if( eventId == "STARTDELAY" ) then
		UnhappyWithWage_Stage1( storyId )
	elseif( eventId == "REQUESTWAGE" ) then
		UnhappyWithWage_Stage2( storyId )
	elseif( eventId == "WAGEBOARD" ) then
		UnhappyWithWage_Stage2_Board( storyId )
	end
end
	
function UnhappyWithWage_Stage2( storyId )
	local currentStory = GetStoryById( storyId )
	local storyPlayer = GetStoryPlayer( currentStory )
	local storyTeam = GetStoryTeam( currentStory )
	local wouldLeave = WouldPlayerEvenLeaveClub( storyTeam, storyPlayer )
	if( wouldLeave == true ) then
		SetStringTeams( storyTeam )
		SetStringPlayers( storyPlayer )
		AddConversation( storyPlayer, "popup_unhappywage_stage2_", 1, 4, "popup_unhappywage_stage2_subject", currentStory )
		AddDateEvent( "WAGEBOARD", 2, storyId )
	else
		EndStoryId( storyId )
	end
end

function UnhappyWithWage_Stage2_News( storyId )
	-- local currentStory = GetStoryById( storyId )
	-- local storyPlayer = GetStoryPlayer( currentStory )
	-- local storyTeam = GetStoryTeam( currentStory )
	-- local wouldLeave = WouldPlayerEvenLeaveClub( storyTeam, storyPlayer )
	-- if( wouldLeave == true ) then
		-- local newNews = CreateNews( "WAGENEWS", "news_title_unhappywage_news_", 4 )
		-- AddParagraph( newNews, 1000, "news_body_unhappywage_news_", 4 )
		-- PublishArticle( currentStory, newNews, "MAJOR", storyTeam, storyPlayer )
		-- AddDateEvent( "WAGEBOARD", 2, storyId )
	-- else
		-- EndStoryId( storyId )
	-- end
end

function UnhappyWithWage_Stage2_Board( storyId )
	local currentStory = GetStoryById( storyId )
	local storyPlayer = GetStoryPlayer( currentStory )
	local storyTeam = GetStoryTeam( currentStory )
	local userName = GetUsername()
	SetStringTeams( storyTeam )
	SetStringPlayers( storyPlayer )
	TriggerEmail( false, userName, "CM_Inbox_Sender_Board", "CM_Email_Subject_unhappywage_", 1, 4, "CM_Email_Body_unhappywage_", 1, 4 )
	ForceUserPlayerOntoTransferList( storyPlayer )
	SetStorySellPlayersOverride( currentStory, 1 )
	SetStoryContractOverride( currentStory, 7 )
end

function UnhappyWithWage_ContractAccept( teamId, playerId )
	local category = "WAGE"
	local numStories = GetNumStoriesByCategory( category )
	if( numStories > 0 ) then
		for storyCount = numStories, 1, -1 do
			local currentStory = GetStoryByCategoryAndIndex( category, storyCount )
			local storyPlayer = GetStoryPlayer( currentStory )
			if( storyPlayer == playerId ) then
				local storyId = GetStoryId( currentStory )
				EndStoryId( storyId )
			end
		end
	end
end