function ExamineFor_ForeignInvestor( months )
	local storyId = "INVESTOR"
	local storyActive = IsStoryIDActive( storyId )
	if( storyActive == false ) then
		local userTeam = GetUserTeam()
		local leagueId = GetLeagueId( userTeam )
		local canTakeOver = CanClubBeTakenOver( leagueId )
		if( canTakeOver == true ) then
			local month1 = GetTuningValue( "monthLow", "INVESTOR" )
			local month2 = GetTuningValue( "monthHigh", "INVESTOR" )
			if( months >= month1 and months <= month2 ) then
				local season = GetSeasonCount()
				local chance = 70
				local success = RollPercentageDice( chance )
				if( success ) then
					RequestLeagueForInvestor()
				end --if( success ) then
			end --if( months >= month1 and months <= month2 ) then		
		end --if( canTakeOver == true ) then
	end --if( storyActive == false ) then
end

function StartStory_ForeignInvestor( teamId )
	local category = "INVESTOR"
	local storyId = "INVESTOR"
	local userTeam = GetUserTeam()
	local dateEvent = "INVESTOR_ST1"
	if( teamId == userTeam ) then
		storyId = "INVESTOR_USR"
		dateEvent = "INVESTOR_MONEY"
	end
	if( MarkPlayerForStory( teamId, 0, category, storyId ) == true ) then
		local currentStory = GetStoryById( storyId )
		SetStoryPriority( currentStory, 3 )
		AddDateEvent( dateEvent, 1, storyId )
	end --if( MarkPlayerForStory( chosenTeam, 0, category, storyId ) == true ) then
end

function RequestLeagueForInvestor()
	local userTeam = GetUserTeam()
	local leagueId = GetLeagueId( userTeam )
	local nationId = GetLeagueNationId( leagueId )
	-- Do if check here of valid leagues for foreign ownership
	ExamineLeagueForInvestor()
end

function ExamineLeagueForInvestor()
	local numTeams = GetNumberOfTeamsInLeague()	
	local currTeamId = 0
	local teamData = {}
	local currTotal = 0
	local currOvr = 0
	local numPlayers = 0
	local teamBudget = 0
	for teamCount = 1, numTeams do
		currTeamId = GetTeamIdByIndex( teamCount )
		if( currTeamId ~= -1 ) then
			currOvr = GetTeamOverall( currTeamId )
			currTotal = currTotal + currOvr
			numPlayers = GetNumPlayers( currTeamId, true )
			teamBudget = GetTeamBudget( currTeamId )
			teamData[ teamCount ] = {}
			teamData[ teamCount ][ 0 ] = currTeamId
			teamData[ teamCount ][ 1 ] = currOvr
			teamData[ teamCount ][ 2 ] = numPlayers
			teamData[ teamCount ][ 3 ] = teamBudget		
			if( isFinal == false and IsLogging() ) then
				Print( "[" .. teamCount .. "]" .. GetTeamName( currTeamId ) .. " - Overall: " .. currOvr .. " - Players: " .. numPlayers .. " - Budget: " .. teamBudget )
			end
		end -- if( currTeamId ~= -1 ) then
	end --for teamCount = 1, numTeams do
	
	if( currTotal > 0 ) then		
		local avgLeagueRtg = currTotal / numTeams
		
		local avgRange = 2
		local lowRange = avgLeagueRtg - avgRange
		local highRange = avgLeagueRtg + avgRange
		Print( "Avg: " .. avgLeagueRtg .. " Low: " .. lowRange .. " High: " .. highRange )
		
		local matchingTeams = {}
		local matchingCount = 0
		local maxPlayers = 42
		local richValue = GetTuningValue( "alreadyRichBudget", "INVESTOR" )
		local lessThanMax = maxPlayers - 3 -- was 5
		local userTeam = GetUserTeam()
		local hasRoom = false
		local inRange = false
		local isUserTeam = false
		local alreadyRich = false
		for teamCount = 1, numTeams do
			hasRoom = ( teamData[ teamCount ][ 2 ] < lessThanMax )	-- plenty of room on team
			if( hasRoom ) then 
				inRange = ( teamData[ teamCount ][ 1 ] >= lowRange and teamData[ teamCount ][ 1 ] <= highRange )
				isUserTeam = ( teamData[ teamCount ][ 0 ] == userTeam )
				alreadyRich = ( teamData[ teamCount ][ 3 ] >= richValue )
				if( inRange == true and isUserTeam == false and alreadyRich == false ) then
					matchingCount = matchingCount + 1
					matchingTeams[ matchingCount ] = teamData[ teamCount ][ 0 ]
					Print( "Matching Team: " .. GetTeamName( matchingTeams[ matchingCount ] ) .. " Overall: '" .. teamData[ teamCount ][ 1 ] )
				end --if( teamData[ teamCount ][ 1 ] >= lowRange and teamData[ teamCount ][ 1 ] <= highRange ) then
			end
		end --for teamCount = 1, numTeams do

		if( matchingCount > 0 ) then
			local randNo = GetRandomNumber( 1, matchingCount )
			local chosenTeam = matchingTeams[ randNo ]
			Print( "Chosen Team: ", GetTeamName( chosenTeam ) )
			StartStory_ForeignInvestor( chosenTeam )
		end -- if( matchingCount > 0 ) then
	end --if( currTotal > 0 ) then
end

function InvestorDynamicEvent( eventId, linkId )
	local storyId = linkId
	local storyActive = IsStoryIDActive( storyId )
	if( storyActive == true ) then
		local currentStory = GetStoryById( storyId )
		local storyTeam = GetStoryTeam( currentStory )
		SetStringTeam( storyTeam )
		if( eventId == "INVESTOR_ST1" ) then
			SetForceToNewsCategory()
			TriggerStoryPowHook( "INVESTOR_RUMOUR", storyTeam )
			TriggerNews( "news_title_investor_stage1_", 1, 10, "news_body_investor_stage1_", 1, 5, currentStory )
			local nextEventLow = GetTuningValue( "stage2_Delay_Low", "INVESTOR" )
			local nextEventHigh = GetTuningValue( "stage2_Delay_High", "INVESTOR" )
			local randDays = GetRandomNumber( nextEventLow, nextEventHigh )
			AddDateEvent( "INVESTOR_MONEY", randDays, storyId )
			-- Add more stages
		elseif( eventId == "INVESTOR_MONEY" ) then
			local userTeam = GetUserTeam()
			local newBudget = GetTuningValue( "userBudget", "INVESTOR" )
			local variation = 1
			local sum = GetTuningValue( "cpuBudget", "INVESTOR" )
			if( storyTeam == userTeam ) then
				local teamBudget = GetTeamBudget( storyTeam )
				variation = 5
				if( teamBudget > newBudget ) then
					newBudget = ( teamBudget * 2 )
				else
					newBudget = ( teamBudget + newBudget )
				end
				local isPap = IsPlayAsPlayer()
				if( isPap == true ) then
					GenerateTransferActivityForTeam( storyTeam )
				end
				if( newBudget > sum ) then
					newBudget = sum
				end
			else
				newBudget = sum -- 100million for now
				GenerateTransferActivityForTeam( storyTeam )	-- Fix pacing
			end
			UpdateTeamBudget( storyTeam, newBudget )
			SetForceToNewsCategory()
			TriggerStoryPowHook( "INVESTOR_BOUGHT", storyTeam )
			TriggerNews( "news_title_investor_stagemoney_", 1, 10, "news_body_investor_stagemoney_", variation, 5, currentStory )
			SetStoryVariable( currentStory, "0" )
		end --if( event == "INVESTOR_ST1" ) then 
	end -- if( storyActive == true ) then
end

function InvestorClubPurchase( buyingTeam, sellingTeam, playerId, transfer, contract, price, wage, playerValue )
	local category = "INVESTOR"
	local numStories = GetNumStoriesByCategory( category )
	if( numStories > 0 ) then
		for storyCount = numStories, 1, -1 do
			local currentStory = GetStoryByCategoryAndIndex( category, storyCount )
			local storyId = GetStoryId( currentStory )
			local storyActive = IsStoryIDActive( storyId )
			if( storyActive == true ) then
				local currentStory = GetStoryById( storyId )
				local storyTeam = GetStoryTeam( currentStory )
				if( buyingTeam == storyTeam ) then
					local contractInYears = contract / 12
					SetStringTeams( storyTeam, sellingTeam )
					SetStringPlayer( playerId, 1 )
					SetStringCurrency( price )
					TriggerStoryPowHook( "INVESTOR_PLAYER", storyTeam, GetPlayerName( playerId ), sellingTeam )
					local storyVar = GetStoryVariable( currentStory )
					if( storyVar == "0" ) then
						TriggerNews( "news_title_investor_firstplayer_", 1, 10, "news_body_investor_firstplayer_", 1, 5, currentStory, contractInYears )
						SetStoryVariable( currentStory, "1" )
					elseif( storyVar == "1" ) then
						TriggerNews( "news_title_investor_secondplayer_", 1, 10, "news_body_investor_secondplayer_", 1, 5, currentStory )
						SetStoryVariable( currentStory, "2" )
					else
						TriggerNews( "news_title_investor_GenericPurchase_", 1, 10, "news_body_investor_GenericPurchase_", 1, 5, currentStory, contractInYears )
						if( storyVar == "2" ) then
							SetStoryVariable( currentStory, "3" )
						elseif( storyVar == "3" ) then
							SetStoryVariable( currentStory, "4" )
						elseif( storyVar == "4" ) then
							SetStoryVariable( currentStory, "5" )
						else
							EndStoryId( storyId )					
						end				
					end --if( storyVar == "0" ) then
				end --if( buyingTeam == storyTeam ) then
			end --if( storyActive == true ) then
		end
	end
end

function CanClubBeTakenOver( leagueId )
	local canTakeOver = false
	local validLeagues = { 1, 4, 10, 13, 14, 16, 17, 19, 20, 31, 32, 41, 50, 53, 56, 65, 67, 189, 308, 351 }
	local numLeagues = table.getn( validLeagues )	
	for leagueCount = 1, numLeagues do
		if( leagueId == validLeagues[ leagueCount ] ) then
			canTakeOver = true
			break
		end
	end --for leagueCount = 1, numLeagues do
	return canTakeOver
end
