function ExamineFor_UFP( months )
	local category = "TRANSREQ"
	local numStories = GetNumStoriesByCategory( category )
	if( numStories == 0 ) then
		local numDays = GetNumDaysUntilNextTransferWindow()
		if( numDays <= GetTuningValue( "numDays_Max", "FOREIGN" ) and numDays >= GetTuningValue( "numDays_Min", "FOREIGN" ) ) then
				AddDateEvent( "FOREIGN_DELAY", GetTuningValue( "start_Delay", "FOREIGN" ) )
		end
	end
end

function StartStory_UFP( teamId, playerId, category, storyId ) -- Get Reason and Triggerstory
	if( MarkPlayerForStory( teamId, playerId, category, storyId ) == true ) then
		local story = GetStoryById( storyId )
		SetStoryPriority( currentStory, 3 )
		SetNoDeathAtEOS( story )
		local playerNationId = GetPlayerNationalityId( playerId )
		local teamNationId = GetTeamNation( teamId )
		local reason = GetReasonForLeavingAsString( teamNationId, playerNationId )
		SetStoryAllowLoan( story, false )
		SetStoryVariable( story, reason )
		local category = "TRANSREQ"
		local numStories = GetNumStoriesByCategory( category )
		local numDaysAfter = GetRandomNumber( GetTuningValue( "stage2_Delay_Low", "FOREIGN" ), GetTuningValue( "stage2_Delay_High", "FOREIGN" ) )
		local randDay = GetRandomNumber( GetTuningValue( "stage1_Delay_Low", "FOREIGN" ), GetTuningValue( "stage1_Delay_High", "FOREIGN" ) )
		if( storyId == "FOREIGN-USR" ) then
			ForeignUpsetStoryDynamicEvent1( "FOREIGN_1", storyId )
		else
			AddDateEvent( "FOREIGN_1", randDay, storyId )
		end
		AddDateEvent( "FOREIGN_2", numDaysAfter, storyId )
	end
end

function LookForMatchingUserPlayer() -- Get User Players
	local storyId = "FOREIGN-USR"
	local category = "TRANSREQ"
	local userTeam = GetUserTeam()
	userTeam = StackRankTeamByOverall( userTeam )
	local numPlayers = GetNumPlayers( userTeam )
	local validPlayers = {}
	local numValidPlayers = AddMatchingUserPlayerToList( numPlayers, validPlayers )
	if( isFinal == false and IsLogging() == true ) then
		for playerCount = 1, numValidPlayers do
			Print( validPlayers[ playerCount ] )
		end
	end
	local maxRandPlayers = 10
	if( numValidPlayers > 0 ) then
		if( numValidPlayers < maxRandPlayers ) then		
			maxRandPlayers = numValidPlayers
		end
		SelectPlayerLoop( numValidPlayers, validPlayers, maxRandPlayers, category, storyId )
	end
end

function LookForMatchingCPUPlayers( index ) -- Get CPU Players
	local storyId = "FOREIGN" .. index
	local category = "TRANSREQ" 
	if( GetNumStoriesWithId( storyId ) == 0 ) then		
		local numPlayers = MakePlayerQuery()
		if( numPlayers > 0 ) then
			local validPlayers = {}
			local numValidPlayers = AddMatchingCPUPlayerToList( numPlayers, validPlayers )
			if( numValidPlayers > 0 ) then
				SelectPlayerLoop( numValidPlayers, validPlayers, numValidPlayers, category, storyId )
			end
		end --if( numPlayers > 0 ) then
	end --if( GetNumStoriesWithId( storyId ) == 0 ) then
end

function SelectPlayerLoop( numValidPlayers, validPlayers, maxRand, category, storyId ) -- Select Player/s
	if( numValidPlayers > 0 ) then 
		local exitLoop = false			
		local teamId = 0
		local selectedPlayer = 0
		local failCount = 0
		while exitLoop == false do
			local randPlayerChoice = GetRandomNumber( 1, maxRand )				
			selectedPlayer = validPlayers[ randPlayerChoice ]
			teamId = GetTeamIdFromPlayerId( selectedPlayer )
			if( WouldPlayerEvenLeaveClub( teamId, selectedPlayer ) == true ) then
				if( IsPlayerInvolvedInSaga( selectedPlayer ) == false ) then
					exitLoop = StartStory_UFP( teamId, selectedPlayer, category, storyId )
				end
			end
			failCount = failCount + 1
			if( failCount > 2 ) then
				exitLoop = true
			end
		end --while storyAdded == false do
	end -- if( numValidPlayers ) then 
end

function ForeignUpsetStoryDynamicEvent( eventId, storyId )
	if( string.find( eventId, "FOREIGN" ) ~= nil ) then
		if( eventId == "FOREIGN_DELAY" ) then
			StartForeignPlayerUpset( eventId ) -- Player homeSick / Wants to leave
		elseif( eventId == "FOREIGN_1" ) then
			ForeignUpsetStoryDynamicEvent1( eventId, storyId ) -- Story Start
		elseif( eventId == "FOREIGN_2" ) then
			ForeignUpsetStoryDynamicEvent2( eventId, storyId ) --Speculation on Reasons
		elseif( eventId == "FOREIGN_3" ) then
			ForeignUpsetStoryDynamicEvent3( eventId, storyId ) -- Possibly a Club from another country
		elseif( eventId == "FOREIGN_4" ) then
			ForeignUpsetStoryDynamicEvent4( eventId, storyId ) -- Agent Comments
		elseif( eventId == "FOREIGN_5" ) then
			ForeignUpsetStoryDynamicEvent5( eventId, storyId ) -- Speculation on Story
		elseif( eventId == "FOREIGN_6" ) then
			ForeignUpsetStoryDynamicEvent6( eventId, storyId ) -- Update on Suitors
		elseif( eventId == "FOREIGN_7" ) then
			ForeignUpsetStoryDynamicEvent7( eventId, storyId ) -- More Speculation
		elseif( eventId == "FOREIGN_8" ) then
			ForeignUpsetStoryDynamicEvent8( eventId, storyId ) --Player Decides
		elseif( eventId == "FOREIGN_9" ) then
			ForeignUpsetStoryDynamicEvent9( eventId, storyId ) -- Wants to Remain
		elseif( eventId == "FOREIGN_10" ) then
			ForeignUpsetStoryDynamicEvent10( eventId, storyId ) -- Wants To Leave
		elseif( eventId == "FOREIGN_11" ) then
			ForeignUpsetStoryDynamicEvent11( eventId, storyId ) -- Warning from board
		elseif( eventId == "FOREIGN_12" ) then
			ForeignUpsetStoryDynamicEvent12( eventId, storyId ) -- Selling
		elseif( eventId == "FOREIGN_13" ) then
			ForeignUpsetStoryDynamicEvent13( eventId, storyId ) -- Accepting New Contract
		elseif( eventId == "FOREIGN_REJ" ) then
			ForeignUpsetContractReject( eventId, storyId )
		end
	end
end

function StartForeignPlayerUpset( eventId ) -- Chance of happening
	local chanceOnePlayer = GetTuningValue( "chanceOnePlayer", "FOREIGN" ) --40 
	local chanceTwoPlayers = GetTuningValue( "chanceTwoPlayers", "FOREIGN" ) --20 
	if( GetRandomNumber( 1, 100 ) <= chanceOnePlayer ) then
		LookForMatchingCPUPlayers( 0 )
		if( GetRandomNumber( 1, 100 ) <= chanceTwoPlayers ) then
			LookForMatchingCPUPlayers( 1 )
		end
	end
	local chanceUserPlayer = GetTuningValue( "chanceUserPlayer", "FOREIGN" ) --30
	if( GetRandomNumber( 1, 100 ) <= chanceUserPlayer ) then
		LookForMatchingUserPlayer()
	end
end

function ForeignUpsetStoryDynamicEvent1( eventId, storyId )
	local currentStory = GetStoryById( storyId ) 
	local reason = GetStoryVariable( currentStory )
	local storyPlayer = GetStoryPlayer( currentStory )
	local storyTeam = GetStoryTeam( currentStory )
	SetStringPlayer( storyPlayer, 1 )
	SetStringTeam( storyTeam, 1 )
	SetNewsImportance( "EXCLUSIVE" )
	if( reason == "HOMESICK" ) then	
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_HOMESICK_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_HOMESICK_", 1, 4, currentStory )
		
	elseif( reason == "HATESCOUNTRY" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_HATESCOUNTRY_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_HATESCOUNTRY_", 1, 4, currentStory )
		
	elseif( reason == "HATESWEATHER" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_HATESWEATHER_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_HATESWEATHER_", 1, 4, currentStory )
		
	else
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_UNSETTLED_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_UNSETTLED_", 1, 4, currentStory )
		
	end --if( reason == "HOMESICK" ) then
	SetStoryStage( currentStory, 1 )
end


function ForeignUpsetStoryDynamicEvent2( eventId, storyId )--Speculation on Reasons
	local numDaysAfter = GetRandomNumber( GetTuningValue( "stage3_Delay_Low", "FOREIGN" ), GetTuningValue( "stage3_Delay_High", "FOREIGN" ) )
	local currentStory = GetStoryById( storyId ) 
	local reason = GetStoryVariable( currentStory )
	local storyPlayer = GetStoryPlayer( currentStory )
	local storyTeam = GetStoryTeam( currentStory )
	SetStringPlayer( storyPlayer, 1 )
	SetStringTeam( storyTeam, 1 )
	AddDateEvent( "FOREIGN_3", numDaysAfter, storyId )
	SetNewsImportance( "EXCLUSIVE" )
	if( reason == "HOMESICK" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_RumourSpeculation_HOMESICK_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_RumourSpeculation_HOMESICK_", 1, 4, currentStory )				
		
	elseif( reason == "HATESCOUNTRY" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_RumourSpeculation_HATESCOUNTRY_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_RumourSpeculation_HATESCOUNTRY_", 1, 4, currentStory )
		
	elseif( reason == "HATESWEATHER" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_RumourSpeculation_HATESWEATHER_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_RumourSpeculation_HATESWEATHER_", 1, 4, currentStory )
		
	else
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_RumourSpeculation_UNSETTLED_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_RumourSpeculation_UNSETTLED_", 1, 4, currentStory )
		
	end -- if( reason == "HOMESICK" ) then
	SetStoryStage( currentStory, 2 )
end

function ForeignUpsetStoryDynamicEvent3( eventId, storyId ) -- Possibly a Club from another country
	local currentStory = GetStoryById( storyId ) 
	local reason = GetStoryVariable( currentStory )
	local storyPlayer = GetStoryPlayer( currentStory )	
	local storyTeam = GetStoryTeam( currentStory )
	local userTeam = GetUserTeam()
	local actualOffers, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitableTeamsForPlayer( storyTeam, storyPlayer, 9, false )
	local numDaysAfter = GetRandomNumber( GetTuningValue( "stage4_Delay_Low", "FOREIGN" ), GetTuningValue( "stage4_Delay_High", "FOREIGN" ) )
	local reason1 = 9
	SetStringPlayer( storyPlayer, 1 )
	if( offer1 == nil or offer2 == nil or offer3 == nil or offer4 == nil or offer5 == nil or offer6 == nil or offer7 == nil or offer8 == nil or offer9 == nil ) then
		offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitablePlayersSafety( storyPlayer5 )
	end
	SetStringTeams( storyTeam, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 )
	AddDateEvent( "FOREIGN_4", numDaysAfter, storyId )
	SetNewsImportance( "EXCLUSIVE" )
	if( reason == "HOMESICK" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_RumourTeamsInvolved_HOMESICK_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_RumourTeamsInvolved_HOMESICK_", 1, 4, currentStory )
		
		if( storyTeam == userTeam ) then
			reason1 = 6
			AddConversation( storyPlayer, "PlayerFeedbackPopUp_ForeignPlayerWantsToLeave_HOMESICK_", 1, 3, "PlayerFeedbackPopUp_ForeignPlayerWantsToLeave_subject", currentStory )
		end
	elseif( reason == "HATESCOUNTRY" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_RumourTeamsInvolved_HATESCOUNTRY_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_RumourTeamsInvolved_HATESCOUNTRY_", 1, 4, currentStory )	
		
		if( storyTeam == userTeam ) then
			reason1 = 7
			AddConversation( storyPlayer, "PlayerFeedbackPopUp_ForeignPlayerWantsToLeave_HATESCOUNTRY_", 1, 3, "PlayerFeedbackPopUp_ForeignPlayerWantsToLeave_subject", currentStory )
		end
	elseif( reason == "HATESWEATHER" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_RumourTeamsInvolved_HATESWEATHER_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_RumourTeamsInvolved_HATESWEATHER_", 1, 4, currentStory )	
		
		if( storyTeam == userTeam ) then
			reason1 = 8
			AddConversation( storyPlayer, "PlayerFeedbackPopUp_ForeignPlayerWantsToLeave_HATESWEATHER_", 1, 3, "PlayerFeedbackPopUp_ForeignPlayerWantsToLeave_subject", currentStory )
		end
	else
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_RumourTeamsInvolved_UNSETTLED_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_RumourTeamsInvolved_UNSETTLED_", 1, 4, currentStory )	
		
		if( storyTeam == userTeam ) then
			reason1 = 9
			AddConversation( storyPlayer, "PlayerFeedbackPopUp_ForeignPlayerWantsToLeave_UNSETTLED_", 1, 3, "PlayerFeedbackPopUp_ForeignPlayerWantsToLeave_subject", currentStory )
		end
	end --if( reason == "HOMESICK" ) then
	SetStoryStage( currentStory, 3 )
	if( storyTeam == userTeam ) then
		SetStoryMoraleOverride( currentStory, reason1 ) -- Unhappy with the "Reason1"
	end
end

function ForeignUpsetStoryDynamicEvent4( eventId, storyId ) -- Agent Comments
	local currentStory = GetStoryById( storyId )
	local reason = GetStoryVariable( currentStory )
	local storyTeam = GetStoryTeam( currentStory )
	local storyPlayer = GetStoryPlayer( currentStory )
	local numDaysAfter = GetRandomNumber( GetTuningValue( "stage5_Delay_Low", "FOREIGN" ), GetTuningValue( "stage5_Delay_High", "FOREIGN" ) )
	local actualOffers, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitableTeamsForPlayer( storyTeam, storyPlayer, 9, false )
	SetStringPlayer( storyPlayer, 1 )
	if( offer1 == nil or offer2 == nil or offer3 == nil or offer4 == nil or offer5 == nil or offer6 == nil or offer7 == nil or offer8 == nil or offer9 == nil ) then
		offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitablePlayersSafety( storyPlayer5 )
	end
	SetStringTeams( storyTeam, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 )
	AddDateEvent( "FOREIGN_5", numDaysAfter, storyId )
	SetNewsImportance( "EXCLUSIVE" )
	if( reason == "HOMESICK" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_AgentComments_HOMESICK_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_AgentComments_HOMESICK_", 1, 4, currentStory )
		
	elseif( reason == "HATESCOUNTRY" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_AgentComments_HATESCOUNTRY_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_AgentComments_HATESCOUNTRY_", 1, 4, currentStory )
		
	elseif( reason == "HATESWEATHER" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_AgentComments_HATESWEATHER_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_AgentComments_HATESWEATHER_", 1, 4, currentStory )
		
	else
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_AgentComments_UNSETTLED_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_AgentComments_UNSETTLED_", 1, 4, currentStory )
		
	end --if( reason == "HOMESICK" ) then
	SetStoryStage( currentStory, 4 )
end

function ForeignUpsetStoryDynamicEvent5( eventId, storyId ) -- Speculation on Story
	local currentStory = GetStoryById( storyId )
	local reason = GetStoryVariable( currentStory )
	local storyPlayer = GetStoryPlayer( currentStory )	
	local storyTeam = GetStoryTeam( currentStory )
	local numDaysAfter = GetRandomNumber( GetTuningValue( "stage6_Delay_Low", "FOREIGN" ), GetTuningValue( "stage6_Delay_High", "FOREIGN" ) )
	local actualOffers, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitableTeamsForPlayer( storyTeam, storyPlayer, 9, false )
	SetStringPlayer( storyPlayer, 1 )
	if( offer1 == nil or offer2 == nil or offer3 == nil or offer4 == nil or offer5 == nil or offer6 == nil or offer7 == nil or offer8 == nil or offer9 == nil ) then
		offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitablePlayersSafety( storyPlayer5 )
	end
	SetStringTeams( storyTeam, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 )
	AddDateEvent( "FOREIGN_6", numDaysAfter, storyId )
	SetNewsImportance( "EXCLUSIVE" )
	if( reason == "HOMESICK" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_WebSiteSpeculation_HOMESICK_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_WebSiteSpeculation_HOMESICK_", 1, 4, currentStory )
		
	elseif( reason == "HATESCOUNTRY" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_WebSiteSpeculation_HATESCOUNTRY_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_WebSiteSpeculation_HATESCOUNTRY_", 1, 4, currentStory )
		
	elseif( reason == "HATESWEATHER" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_WebSiteSpeculation_HATESWEATHER_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_WebSiteSpeculation_HATESWEATHER_", 1, 4, currentStory )
		
	else
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_WebSiteSpeculation_UNSETTLED_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_WebSiteSpeculation_UNSETTLED_", 1, 4, currentStory )
		
	end --f( reason == "HOMESICK" ) then
	SetStoryStage( currentStory, 5 )
end

function ForeignUpsetStoryDynamicEvent6( eventId, storyId ) -- Update on Suitors
	local currentStory = GetStoryById( storyId )
	local reason = GetStoryVariable( currentStory )
	local storyPlayer = GetStoryPlayer( currentStory )	
	local storyTeam = GetStoryTeam( currentStory )
	local numDaysAfter = GetRandomNumber( GetTuningValue( "stage7_Delay_Low", "FOREIGN" ), GetTuningValue( "stage7_Delay_High", "FOREIGN" ) )
	local actualOffers, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitableTeamsForPlayer( storyTeam, storyPlayer, 9, false )
	SetStringPlayer( storyPlayer, 1 )
	if( offer1 == nil or offer2 == nil or offer3 == nil or offer4 == nil or offer5 == nil or offer6 == nil or offer7 == nil or offer8 == nil or offer9 == nil ) then
		offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitablePlayersSafety( storyPlayer5 )
	end
	SetStringTeams( storyTeam, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 )
	
	
	AddDateEvent( "FOREIGN_7", numDaysAfter, storyId )
	SetNewsImportance( "EXCLUSIVE" )
	if( reason == "HOMESICK" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_SpeculativeTeamsCloseIn_HOMESICK_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_SpeculativeTeamsCloseIn_HOMESICK_", 1, 4, currentStory )
		
	elseif( reason == "HATESCOUNTRY" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_SpeculativeTeamsCloseIn_HATESCOUNTRY_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_SpeculativeTeamsCloseIn_HATESCOUNTRY_", 1, 4, currentStory )
		
	elseif( reason == "HATESWEATHER" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_SpeculativeTeamsCloseIn_HATESWEATHER_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_SpeculativeTeamsCloseIn_HATESWEATHER_", 1, 4, currentStory )
		
	else
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_SpeculativeTeamsCloseIn_UNSETTLED_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_SpeculativeTeamsCloseIn_UNSETTLED_", 1, 4, currentStory )
		
	end --if( reason == "HOMESICK" ) then
	SetStoryStage( currentStory, 6 )
end

function ForeignUpsetStoryDynamicEvent7( eventId, storyId )-- More Speculation
	local currentStory = GetStoryById( storyId )
	local reason = GetStoryVariable( currentStory )
	local storyPlayer = GetStoryPlayer( currentStory )	
	local storyTeam = GetStoryTeam( currentStory )
	local numDaysAfter = GetRandomNumber( GetTuningValue( "stage8_Delay_Low", "FOREIGN" ), GetTuningValue( "stage8_Delay_High", "FOREIGN" ) )
	local actualOffers, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitableTeamsForPlayer( storyTeam, storyPlayer, 9, false )
	SetStringPlayer( storyPlayer, 1 )
	if( offer1 == nil or offer2 == nil or offer3 == nil or offer4 == nil or offer5 == nil or offer6 == nil or offer7 == nil or offer8 == nil or offer9 == nil ) then
		offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitablePlayersSafety( storyPlayer5 )
	end
	SetStringTeams( storyTeam, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 )
	AddDateEvent( "FOREIGN_8", numDaysAfter, storyId )
	SetNewsImportance( "EXCLUSIVE" )
	if( reason == "HOMESICK" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_FrustratingFiller_HOMESICK_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_FrustratingFiller_HOMESICK_", 1, 4, currentStory )
		
	elseif( reason == "HATESCOUNTRY" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_FrustratingFiller_HATESCOUNTRY_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_FrustratingFiller_HATESCOUNTRY_", 1, 4, currentStory )
		
	elseif( reason == "HATESWEATHER" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_FrustratingFiller_HATESWEATHER_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_FrustratingFiller_HATESWEATHER_", 1, 4, currentStory )
		
	else
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_FrustratingFiller_UNSETTLED_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_FrustratingFiller_UNSETTLED_", 1, 4, currentStory )
		
	end --if( reason == "HOMESICK" ) then
	MakeCPUOfferForForeignPlayer( storyTeam, storyPlayer, 5, 1 )
	SetStoryStage( currentStory, 7 )
end

function ForeignUpsetStoryDynamicEvent8( eventId, storyId )--Player Decides
	local currentStory = GetStoryById( storyId )
	local reason = GetStoryVariable( currentStory )
	local storyPlayer = GetStoryPlayer( currentStory )	
	local storyTeam = GetStoryTeam( currentStory )
	local userTeam = GetUserTeam()
	local wantsToLeave = RollPercentageDice( GetTuningValue( "wantsToLeave", "FOREIGN" ) ) -- 50%
	SetStringPlayer( storyPlayer, 1 )
	SetStringTeam( storyTeam, 1 )
	if( reason == "HOMESICK" ) then
		if( wantsToLeave == true ) then
			if( storyTeam == userTeam ) then
				AddConversation( storyPlayer, "PlayerFeedbackPopUp_DecisionToStay_HOMESICK_", 1, 3, "PlayerFeedbackPopUp_DecisionToStay_subject", currentStory )
			end
			--SetStoryStage( currentStory, 8 )
			AddDateEvent( "FOREIGN_9", GetTuningValue( "stage9_Delay", "FOREIGN" ), storyId )
		else
			if( storyTeam == userTeam ) then
				AddConversation( storyPlayer, "PlayerFeedbackPopUp_DecisionToLeave_HOMESICK_", 1, 3, "PlayerFeedbackPopUp_DecisionToLeave_subject", currentStory )
				SetStoryContractOverride( currentStory, 3 )
			else
				ForceCPUPlayerOntoTransferList( storyTeam, storyPlayer )
			end
			AddDateEvent( "FOREIGN_10", GetTuningValue( "stage10_Delay", "FOREIGN" ), storyId )
		end
	elseif( reason == "HATESCOUNTRY" ) then
		if( wantsToLeave == true ) then
			if( storyTeam == userTeam ) then
				AddConversation( storyPlayer, "PlayerFeedbackPopUp_DecisionToStay_HATESCOUNTRY_", 1, 3, "PlayerFeedbackPopUp_DecisionToStay_subject", currentStory )
			end
			--SetStoryStage( currentStory, 8 )
			AddDateEvent( "FOREIGN_9", GetTuningValue( "stage9_Delay", "FOREIGN" ), storyId )
		else
			if( storyTeam == userTeam ) then
				AddConversation( storyPlayer, "PlayerFeedbackPopUp_DecisionToLeave_HATESCOUNTRY_", 1, 3, "PlayerFeedbackPopUp_DecisionToLeave_subject", currentStory )
				SetStoryContractOverride( currentStory, 3 )
			else
				ForceCPUPlayerOntoTransferList( storyTeam, storyPlayer )
			end
			AddDateEvent( "FOREIGN_10", GetTuningValue( "stage10_Delay", "FOREIGN" ), storyId )
		end
	elseif( reason == "HATESWEATHER" ) then
		if( wantsToLeave == true ) then
			if( storyTeam == userTeam ) then
				AddConversation( storyPlayer, "PlayerFeedbackPopUp_DecisionToStay_HATESWEATHER_", 1, 3, "PlayerFeedbackPopUp_DecisionToStay_subject", currentStory )
			end
			--SetStoryStage( currentStory, 8 )
			AddDateEvent( "FOREIGN_9", GetTuningValue( "stage9_Delay", "FOREIGN" ), storyId )
		else
			if( storyTeam == userTeam ) then
				AddConversation( storyPlayer, "PlayerFeedbackPopUp_DecisionToLeave_HATESWEATHER_", 1, 3, "PlayerFeedbackPopUp_DecisionToLeave_subject", currentStory )
				SetStoryContractOverride( currentStory, 3 )
			else
				ForceCPUPlayerOntoTransferList( storyTeam, storyPlayer )
			end
			AddDateEvent( "FOREIGN_10", GetTuningValue( "stage10_Delay", "FOREIGN" ), storyId )
		end
	else
		if( wantsToLeave == true ) then
			if( storyTeam == userTeam ) then
				AddConversation( storyPlayer, "PlayerFeedbackPopUp_DecisionToStay_UNSETTLED_", 1, 3, "PlayerFeedbackPopUp_DecisionToStay_subject", currentStory )
			end
			--SetStoryStage( currentStory, 8 )
			AddDateEvent( "FOREIGN_9", GetTuningValue( "stage9_Delay", "FOREIGN" ), storyId )
		else
			if( storyTeam == userTeam ) then
				AddConversation( storyPlayer, "PlayerFeedbackPopUp_DecisionToLeave_UNSETTLED_", 1, 3, "PlayerFeedbackPopUp_DecisionToLeave_subject", currentStory )
				SetStoryContractOverride( currentStory, 3 )
			else
				ForceCPUPlayerOntoTransferList( storyTeam, storyPlayer )
			end
			AddDateEvent( "FOREIGN_10", GetTuningValue( "stage10_Delay", "FOREIGN" ), storyId )
		end
	end --if( reason == "HOMESICK" ) then
	MakeCPUOfferForForeignPlayer( storyTeam, storyPlayer, 5, 1 )
end

function ForeignUpsetStoryDynamicEvent9( eventId, storyId )-- Wants to Remain
	local currentStory = GetStoryById( storyId )
	local reason = GetStoryVariable( currentStory )
	local storyPlayer = GetStoryPlayer( currentStory )	
	local storyTeam = GetStoryTeam( currentStory )
	local storyId = GetStoryId( currentStory )
	local actualOffers, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitableTeamsForPlayer( storyTeam, storyPlayer, 9, false )
	SetStringPlayer( storyPlayer, 1 )
	if( offer1 == nil or offer2 == nil or offer3 == nil or offer4 == nil or offer5 == nil or offer6 == nil or offer7 == nil or offer8 == nil or offer9 == nil ) then
		offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitablePlayersSafety( storyPlayer5 )
	end
	SetStringTeams( storyTeam, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 )
	SetNewsImportance( "EXCLUSIVE" )
	if( reason == "HOMESICK" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_DecisionToStay_HOMESICK_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_DecisionToStay_HOMESICK_", 1, 4, currentStory )
		
	elseif( reason == "HATESCOUNTRY" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_DecisionToStay_HATESCOUNTRY_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_DecisionToStay_HATESCOUNTRY_", 1, 4, currentStory )
		
	elseif( reason == "HATESWEATHER" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_DecisionToStay_HATESWEATHER_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_DecisionToStay_HATESWEATHER_", 1, 4, currentStory )
		
	else
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_DecisionToStay_UNSETTLED_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_DecisionToStay_UNSETTLED_", 1, 4, currentStory )
		
	end
	SetStoryContractOverride( currentStory, -1 )
	SetStoryStage( currentStory, 8 )
	RemoveCPUPlayerFromTransferList( storyTeam, storyPlayer )
	EndStoryId( storyId )
end

function ForeignUpsetStoryDynamicEvent10( eventId, storyId )-- Wants To Leave
	local currentStory = GetStoryById( storyId )
	local reason = GetStoryVariable( currentStory )
	local storyPlayer = GetStoryPlayer( currentStory )	
	local storyTeam = GetStoryTeam( currentStory )
	local userTeam = GetUserTeam()
	local numDays = GetNumDaysRemainingInTransferWindow()
	local actualOffers, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitableTeamsForPlayer( storyTeam, storyPlayer, 9, false )
	SetStringPlayer( storyPlayer, 1 )
	if( offer1 == nil or offer2 == nil or offer3 == nil or offer4 == nil or offer5 == nil or offer6 == nil or offer7 == nil or offer8 == nil or offer9 == nil ) then
		offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitablePlayersSafety( storyPlayer5 )
	end
	SetStringTeams( storyTeam, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 )
	AddDateEvent( "FOREIGN_11", GetTuningValue( "stage11_Delay", "FOREIGN" ), storyId ) -- On Transfer Event
	SetNewsImportance( "EXCLUSIVE" )
	if( reason == "HOMESICK" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_DecisionToLeave_HOMESICK_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_DecisionToLeave_HOMESICK_", 1, 4, currentStory )
		
	elseif( reason == "HATESCOUNTRY" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_DecisionToLeave_HATESCOUNTRY_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_DecisionToLeave_HATESCOUNTRY_", 1, 4, currentStory )
		
	elseif( reason == "HATESWEATHER" ) then
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_DecisionToLeave_HATESWEATHER_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_DecisionToLeave_HATESWEATHER_", 1, 4, currentStory )
		
	else
		TriggerNews( "News_Title_ForeignPlayerWantsToLeave_DecisionToLeave_UNSETTLED_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_DecisionToLeave_UNSETTLED_", 1, 4, currentStory )
		
	end
	SetStoryStage( currentStory, 9 )
end

function ForeignUpsetStoryDynamicEvent11( eventId, storyId )-- Board Warning
	local currentStory = GetStoryById( storyId )
	local reason = GetStoryVariable( currentStory )
	local storyPlayer = GetStoryPlayer( currentStory )
	local storyTeam = GetStoryTeam( currentStory )
	if( storyTeam == GetUserTeam() ) then
		local userName = GetUsername()
		SetStringPlayer( storyPlayer, 1 )
		SetStringTeam( storyTeam, 1 )
		TriggerEmail( false, userName, "CM_Inbox_Sender_Board", "CM_Email_Subject_ForeignPlayerUpset_BoardWarning_", 1, 4, "CM_Email_Body_ForeignPlayerUpset_BoardWarning_", 1, 4 )
	end
	AddDateEvent( "FOREIGN_12", GetTuningValue( "stage12_Delay", "FOREIGN" ), storyId )
	MakeCPUOfferForForeignPlayer( storyTeam, storyPlayer, 5, 1 )
end

function ForeignUpsetStoryDynamicEvent12( eventId, storyId ) -- Board Sells player
	local currentStory = GetStoryById( storyId )
	local storyPlayer = GetStoryPlayer( currentStory )	
	local storyTeam = GetStoryTeam( currentStory )
	local storyId = GetStoryId( currentStory )
	if( IsPlayerInvolvedInStoryId( storyPlayer, storyId ) == true ) then
		SetStoryAllowTransferNews( currentStory, false )
		ForceSafeTransfer( storyTeam, storyPlayer )
	end
end

function ForeignUpsetStoryDynamicEvent13( eventId, storyId )--Player Decides to accept a new contract
	local currentStory = GetStoryById( storyId )
	if( GetStoryStage( currentStory ) < 8 ) then
		local reason = GetStoryVariable( currentStory )
		local storyPlayer = GetStoryPlayer( currentStory )	
		local storyTeam = GetStoryTeam( currentStory )
		local userTeam = GetUserTeam()
		SetStringPlayer( storyPlayer, 1 )
		SetStringTeam( storyTeam, 1 )
		if( reason == "HOMESICK" ) then
			AddConversation( storyPlayer, "PlayerFeedbackPopUp_DecisionToStay_HOMESICK_", 1, 3, "PlayerFeedbackPopUp_DecisionToStay_subject", currentStory )
			AddDateEvent( "FOREIGN_9", GetTuningValue( "stage9_Delay", "FOREIGN" ), storyId )
		elseif( reason == "HATESCOUNTRY" ) then
			AddConversation( storyPlayer, "PlayerFeedbackPopUp_DecisionToStay_HATESCOUNTRY_", 1, 3, "PlayerFeedbackPopUp_DecisionToStay_subject", currentStory )
			AddDateEvent( "FOREIGN_9", GetTuningValue( "stage9_Delay", "FOREIGN" ), storyId )
		elseif( reason == "HATESWEATHER" ) then
			AddConversation( storyPlayer, "PlayerFeedbackPopUp_DecisionToStay_HATESWEATHER_", 1, 3, "PlayerFeedbackPopUp_DecisionToStay_subject", currentStory )
			AddDateEvent( "FOREIGN_9", GetTuningValue( "stage9_Delay", "FOREIGN" ), storyId )
		else
			AddConversation( storyPlayer, "PlayerFeedbackPopUp_DecisionToStay_UNSETTLED_", 1, 3, "PlayerFeedbackPopUp_DecisionToStay_subject", currentStory )
			AddDateEvent( "FOREIGN_9", GetTuningValue( "stage9_Delay", "FOREIGN" ), storyId )
		end --if( reason == "HOMESICK" ) then
		if( storyTeam == userTeam ) then
			PlayerContractAccept( storyTeam, storyPlayer )
		end
	end --if( GetStoryStage( currentStory ) ~= 8 ) then
end

function ForeignTransferWindowOpen( numDays )
	local category = "TRANSREQ"
	local numStories = GetNumStoriesByCategory( category )
	if( numStories > 0 ) then
		if( numDays >= 1 ) then
			for storyCount = 1, numStories do
				local numOffers = GetRandomNumber( 1, 9 )
				local currentStory = GetStoryByCategoryAndIndex( category, storyCount )
				local reason = GetStoryVariable( currentStory )
				local storyPlayer = GetStoryPlayer( currentStory )
				local storyTeam = GetStoryTeam( currentStory )
				MakeCPUOfferForForeignPlayer( storyTeam, storyPlayer, numOffers, 1 )
			end --for storyCount = 1, numStories do
		end --if( numDays == 0 ) then
	end --if( numStories > 0 ) then
end

function ForeignUpsetStoryEndOfWindow( numDays )-- EndOfWindow
	local category = "TRANSREQ"
	local numStories = GetNumStoriesByCategory( category )
	if( numStories > 0 ) then
		if( numDays == 0 ) then
			for storyCount = numStories, 1, -1 do
				local currentStory = GetStoryByCategoryAndIndex( category, storyCount )
				local storyPlayer = GetStoryPlayer( currentStory )	
				local storyTeam = GetStoryTeam( currentStory )
				local storyId = GetStoryId( currentStory )
				if( IsPlayerInvolvedInStoryId( storyPlayer, storyId ) == true ) then
					SetStoryAllowTransferNews( currentStory, false )
					ForceSafeTransfer( storyTeam, storyPlayer )
				end
				RemoveCPUPlayerFromTransferList( storyTeam, storyPlayer )
				EndStoryId( storyId )
			end --for storyCount = 1, numStories do
		end --if( numDays > 20 ) then
	end --if( numStories > 0 ) then
end

function ForeignUpsetStoryTransfered( buyingTeam, sellingTeam, playerId, transfer, contract, price, wage, playerValue ) -- After Transfer Event
	local category = "TRANSREQ"
	local numStories = GetNumStoriesByCategory( category )
	for storyCount = numStories, 1, -1 do
		local currentStory = GetStoryByCategoryAndIndex( category, storyCount )
		local storyPlayer = GetStoryPlayer( currentStory )
		if( playerId == storyPlayer ) then
			local reason = GetStoryVariable( currentStory )
			local storyTeam = GetStoryTeam( currentStory )
			local storyId = GetStoryId( currentStory )
			local contract1 = ( contract / 12 )
			SetStringPlayer( storyPlayer, 1 )
			SetStringTeams( buyingTeam, storyTeam )
			SetStringMultiCurrency( price, wage )
			SetNewsImportance( "EXCLUSIVE" )
			if( reason == "HOMESICK" ) then
				TriggerNews( "News_Title_ForeignPlayerWantsToLeave_Transfered_HOMESICK_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_Transfered_HOMESICK_", 1, 4, currentStory, contract1, price, wage )
				
			elseif( reason == "HATESCOUNTRY" ) then
				TriggerNews( "News_Title_ForeignPlayerWantsToLeave_Transfered_HATESCOUNTRY_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_Transfered_HATESCOUNTRY_", 1, 4, currentStory, contract1, price, wage )
				
			elseif( reason == "HATESWEATHER" ) then
				TriggerNews( "News_Title_ForeignPlayerWantsToLeave_Transfered_HATESWEATHER_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_Transfered_HATESWEATHER_", 1, 4, currentStory, contract1, price, wage )
				
			else
				TriggerNews( "News_Title_ForeignPlayerWantsToLeave_Transfered_UNSETTLED_", 1, 4, "News_Body_ForeignPlayerWantsToLeave_Transfered_UNSETTLED_", 1, 4, currentStory, contract1, price, wage )
				
			end
			SetStoryStage( currentStory, 10 )
			RemoveCPUPlayerFromTransferList( storyTeam, storyPlayer )
			EndStoryId( storyId )
		end -- if( PlayerId == StoryPlayer ) then
	end --for storyCount = numStories, 1, -1 do
end

function MakePlayerQuery() -- Player Queary for OVR
	QueryPlayersByDBOverall( 59, 100 )
	local numPlayers = GetNumPlayersFromQuery()
	return numPlayers
end

function AddMatchingUserPlayerToList( numPlayers, validPlayers ) -- Add player to index
	local addedPlayers = 1
	local userTeam = GetUserTeam()
	for playerCount = 1, numPlayers do
		local currPlayerId = GetPlayer( userTeam, playerCount )
		local match = IsMatchingPlayer( currPlayerId, -1 ) -- No user team check
		if( match == true ) then
			validPlayers[ addedPlayers ] = currPlayerId
			addedPlayers = addedPlayers + 1
		end
	end
	return addedPlayers	- 1	--Cos of lua index from 0
end

function AddMatchingCPUPlayerToList( numPlayers, validPlayers ) -- Choose CPU from list
	local addedPlayers = 1
	local userTeam = GetUserTeam()
	for playerCount = 1, numPlayers do
		local currPlayerId = GetPlayerIdFromQueryByIndex( playerCount )
		local match = IsMatchingPlayer( currPlayerId, userTeam )
		if( match == true ) then
			validPlayers[ addedPlayers ] = currPlayerId
			addedPlayers = addedPlayers + 1
		end
	end
	return addedPlayers - 1 --Cos of lua index from 0
end

function IsMatchingPlayer( playerId, userTeam ) -- Is Player Not elligble for this story
	local match = false
	local teamId = GetTeamIdFromPlayerId( playerId )	
	local numPlayersOnTeam = GetNumPlayers( teamId )
	local enoughPlayers = ( numPlayersOnTeam >= 23 )
	--local playingAtHome = IsPlayingInHomeNation( teamId, playerId )
	local isRetiring = IsPlayerInvolvedInStoryId( playerId, "POTRET" )
	--local isListed = IsPlayerOnTransferList( playerId )
	--local loanListed = IsPlayerOnLoanList( playerId )
	-- Need Ultimate Professional trait check
	local numYears = GetNumberOfYearsSincePlayerJoined( teamId, playerId ) 
	-- Not playing at home, over a year at a club and not the user team	
	if( enoughPlayers == true and numYears > 1 and userTeam ~= teamId and isRetiring == false ) then
		match = true
	end
	return match
end

function IsPlayingInHomeNation( teamId, playerId ) -- Is the Player at home
	local playingAtHome = true
	
	-- Get Player Nationality
	local playerNationalityId = GetPlayerNationalityId( playerId )
	
	-- Get Team Nationality	
	local teamNationId = GetTeamNation( teamId )
	
	-- Nations are different
	if( teamNationId ~= playerNationalityId ) then
		local isTeamUk = IsUnitedKingdomBasedNation( teamNationId )
		local isPlayerUk = IsUnitedKingdomBasedNation( playerNationalityId )
		if( isTeamUk == true and isPlayerUk == true ) then
			playingAtHome = true
		else
			playingAtHome = false
		end
	end
	return playingAtHome
end

function MakeCPUOfferForForeignPlayer( teamId, playerId, numOffers, startRandom )
	local success = false
	if( IsWithinTransferWindow() == true ) then
		local maxOffers = 9
		if( numOffers > maxOffers ) then
			numOffers = maxOffers
		end --if( numOffers > maxOffers ) then
		local offers = {}
		local offer1 = 0
		local offer2 = 0
		local offer3 = 0
		local offer4 = 0
		local offer5 = 0
		local offer6 = 0
		local offer7 = 0
		local offer8 = 0
		local offer9 = 0
		local actualOffers, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitableTeamsForPlayer( teamId, playerId, numOffers, false )
		offers[ 1 ] = offer1
		offers[ 2 ] = offer2
		offers[ 3 ] = offer3
		offers[ 4 ] = offer4
		offers[ 5 ] = offer5
		offers[ 6 ] = offer6
		offers[ 7 ] = offer7
		offers[ 8 ] = offer8
		offers[ 9 ] = offer9
		if( actualOffers < startRandom ) then
			startRandom = actualOffers
		end --if( actualOffers < startRandom ) then
		if( actualOffers < numOffers ) then
			numOffers = actualOffers
		end --if( actualOffers < numOffers ) then		
		if( actualOffers > 0 ) then
			local teamChoice = GetRandomNumber( startRandom, numOffers )
			CreateOfferForPlayer( teamId, playerId, offers[ teamChoice ] )
			success = true
		end
	end --if( IsWithinTransferWindow() == true ) then
	return success
end

function NewContractForeignPlayer( teamId, playerId, status )
	local storyId = "FOREIGN-USR"
	if( IsStoryIDActive( storyId ) == true ) then
		local currentStory = GetStoryById( storyId )
		local storyPlayer = GetStoryPlayer( currentStory )
		if( storyPlayer == playerId ) then
			if( GetStoryStage( currentStory ) < 8 ) then
				local storyTeam = GetStoryTeam( currentStory )			
				local acceptId = "FOREIGN_13"
				local rejectId = "FOREIGN_REJ"
				OfferNewContract( currentStory, storyTeam, storyPlayer, acceptId, rejectId, storyId )
			end --if( GetStoryStage( currentStory ) < 8 ) then
		end --if( storyPlayer == playerId ) then
	end
end

function ForeignUpsetContractReject( eventId, storyId )
	local currentStory = GetStoryById( storyId )
	if( GetStoryStage( currentStory ) < 8 ) then
		local storyPlayer = GetStoryPlayer( currentStory )
		local storyTeam = GetStoryTeam( currentStory )	
		local userName = GetUsername()
		SetStringPlayer( storyPlayer, 1 )
		SetStringTeam( storyTeam, 1 )
		SetInterrupting()
		TriggerEmail( false, userName, "CM_Inbox_Sender_Board", "CM_Email_ContractRebel_PlayerRejectContractSubject_", 1, 4, "CM_Email_ContractRebel_PlayerRejectContractBody_", 1, 4 )
		SetStoryContractOverride( currentStory, -1 )
	end
end