function ExamineFor_LMTR( numDays ) 
	if( numDays == GetTuningValue( "triggerStoryDate", "LMTR" ) ) then --15
		local userTeam = GetUserTeam()
		local userTeamLeague = GetLeagueId( userTeam )		
		LMT_LeagueTableReceived()
	end
end

function StartStory_LMTR( teamId, playerId, category, storyId )
	if( MarkPlayerForStory( teamId, playerId, category, storyId ) == true ) then
		local currentStory = GetStoryById( storyId )
		SetStoryPriority( currentStory, 3 )
		SetStoryAllowLoan( currentStory, false )
		local randNum = GetRandomNumber( GetTuningValue( "storyStartDelay_Low", "LMTR" ), GetTuningValue( "storyStartDelay_High", "LMTR" ) ) -- Number of days of delay ( 1, 10 )
		local dateEventId = "LMTR_1"
		local userTeam = GetUserTeam()
		if( teamId == userTeam ) then
			dateEventId = "LMTR_USR1"
		end
		AddDateEvent( dateEventId, randNum, storyId )
	end --if( MarkPlayerForStory( teamId, playerId, category, storyId .. storyCount ) == true ) then
end

function LMT_LeagueTableReceived()
	local validPlayers = {}
	local validUserPlayers = {}
	local numValidPlayers = 0
	local numValidUserPlayers = 0
	numValidPlayers, numValidUserPlayers = ExamineLeague( validPlayers, validUserPlayers )
	local minPlayers = GetTuningValue( "minPlayers_CPU", "LMTR" ) --1
	local maxPlayers = GetTuningValue( "maxPlayers_CPU", "LMTR" )  --2
	local storyCount = 1
	local storyId = "LMTR_"
	if( numValidPlayers > 0 ) then
		PickPlayersToStartStory( validPlayers, numValidPlayers, minPlayers, maxPlayers, storyId, storyCount )
		local chanceOfUserProblem = GetTuningValue( "changeOfUserProblem", "LMTR" ) --20
		local randNum = GetRandomNumber( 1, 100 )
		if( randNum <= chanceOfUserProblem ) then
			local userStory = "LMTR_USR"
			PickPlayersToStartStory( validUserPlayers, numValidUserPlayers, 1, 1, userStory, 1 )
		end
	end
end

function ExamineLeague( validPlayers, validUserPlayers )
	local numValidPlayers = 0
	local numValidUserPlayers = 0
	local numTeams = GetNumberOfTeamsInLeague()	
	local currTeamId = 0
	local userTeam = GetUserTeam()
	for teamCount = 1, numTeams do
		currTeamId = GetTeamIdByIndex( teamCount )
		if( currTeamId > 0 ) then
			if( userTeam == currTeamId ) then
				numValidUserPlayers = ExamineTeamForLmtrPlayer( currTeamId, validUserPlayers, numValidUserPlayers )
			else
				numValidPlayers = ExamineTeamForLmtrPlayer( currTeamId, validPlayers, numValidPlayers )
			end
		end
	end --for teamCount = 1, numTeams do
	return numValidPlayers, numValidUserPlayers
end

function IsValidTeamLMTR( teamId, invalidTeams, invalidTeamCount )
	local valid = true
	for teamCount = 1, invalidTeamCount do
		if( invalidTeams[ teamCount ] == teamId ) then
			valid = false
			break
		end
	end
	return valid
end

function PickPlayersToStartStory( validPlayers, numValidPlayers, minPlayers, maxPlayers, storyId, storyCount )
	local category = "REQTRANS"	
	if( numValidPlayers > 0 ) then
		if( numValidPlayers < maxPlayers ) then
			maxPlayers = numValidPlayers
		end
		if( numValidPlayers < minPlayers ) then
			minPlayers = numValidPlayers
		end
		local randPlayersToUse = GetRandomNumber( minPlayers, maxPlayers )
		local invalidTeams = {}
		local invalidTeamCount = 0
		for randCount = 1, randPlayersToUse do
			local exitLoop = false
			local failCount = 0
			while exitLoop == false do
				local randPlayer = GetRandomNumber( 1, numValidPlayers )
				local playerId = validPlayers[ randPlayer ]
				if( playerId > 0 ) then
					local teamId = GetTeamIdFromPlayerId( playerId )
					if( IsValidTeamLMTR( teamId, invalidTeams, invalidTeamCount ) == true ) then
						if( WouldPlayerEvenLeaveClub( teamId, playerId ) == true ) then
							local reason = GetReasonForPlayerUpset( teamId, playerId )
							if( reason > 0 ) then
								if( IsPlayerInvolvedInSaga( playerId ) == false ) then
									StartStory_LMTR( teamId, playerId, category, storyId .. storyCount )
									invalidTeamCount = invalidTeamCount + 1
									invalidTeams[ invalidTeamCount ] = teamId
									storyCount = storyCount + 1
									validPlayers[ randPlayer ] = 0
									exitLoop = true
								end --if( playerId ~= GetPlayAsPlayerID() ) then
							end
						end --if( WouldPlayerEvenLeaveClub( teamId, playerId ) == true ) then
					end --if( IsInvalidTeamLMTR( teamId, invalidTeams, invalidTeamCount ) == false ) then
				end --if( playerId > 0 ) then
				failCount = failCount + 1
				if( failCount > 3 ) then
					exitLoop = true
				end --failCount = failCount + 1
			end --while exitLoop == false do
		end --for randCount = 1, maxPlayers do				
	end --if( numValidPlayers > 0 )
end

function LMTRDynamicEvent( eventId, storyId )
	if( string.find( eventId, "LMTR" ) ~= nil ) then
		if( GetNumStoriesByCategory( "REQTRANS" ) > 0 ) then
			if( eventId == "LMTR_1" ) then
				LMTR_Stage_1( storyId )
			elseif( eventId == "LMTR_USR1" ) then
				LMTR_Stage_2( storyId )				
			elseif( eventId == "LMTR_USR_News" ) then
				LMTR_Stage_3( storyId )
			elseif( eventId == "LMTR_USR_BOARD" ) then
				local randChance = RollPercentageDice( GetTuningValue( "chanceOfLeaving_CPU", "LMTR" ) ) -- User Chance of staying or leaving ( 1, 2 )
				LMTR_Stage_4( storyId, randChance )
			elseif( eventId == "LMTR2_USER_CLUBS" ) then
				LMTR_Stage_5( storyId )
			elseif( eventId == "LMTR2_USER_CONFUSED" ) then
				LMTR_Stage_6( storyId )
			elseif( eventId == "LMTR_2" ) then
				local randChance = RollPercentageDice( GetTuningValue( "chanceOfLeaving_USER", "LMTR" ) ) -- CPU Chance of staying or leaving ( 1, 2 )
				LMTR_Stage_7( storyId, randChance )
			elseif( eventId == "LMTR2_CPU_TRANSFER" ) then
				LMTR_Stage_8( storyId )
			elseif( eventId == "LMTR2_USR_TFR" ) then
				LMTR_Stage_9( storyId )
			elseif( eventId == "LMTR3_USR_NOTTRANS" ) then
				deadlineDayPassedLMTR( 0 )
			end --if( eventId == "LMTR_1" ) then
		end -- if( numStories > 0 ) then
	end --if( string.find( eventId, "LMTR" ) ~= nil ) then
end

function LMTR_Stage_1( storyId )
	if( GetNumStoriesWithId( storyId ) > 0 ) then
		local currentStory = GetStoryById( storyId )
		local storyTeam = GetStoryTeam( currentStory )
		local storyPlayer = GetStoryPlayer( currentStory )
		SetStoryMoraleOverride( currentStory, 5 ) 	-- 5 Player has demanded to leave
		SetStringTeam( storyTeam, 1 )
		SetStringPlayer( storyPlayer, 1 )
		SetNewsImportance( "EXCLUSIVE" )
		SetForceToNewsCategory()
		TriggerNews( "news_title_LMTR_TransferRequested_", 1, 4, "news_body_LMTR_TransferRequested_", 1, 4, currentStory )
		AddDateEvent( "LMTR_2", GetTuningValue( "boardDecisionDelay_CPU", "LMTR" ), storyId )
		SetStoryStage( currentStory, 1 )
	end
end

function LMTR_Stage_2( storyId )
	if( GetNumStoriesWithId( storyId ) > 0 ) then
		local currentStory = GetStoryById( storyId )
		local storyTeam = GetStoryTeam( currentStory )
		local storyPlayer = GetStoryPlayer( currentStory )
		if( WouldPlayerEvenLeaveClub( storyTeam, storyPlayer ) == true ) then
			OverridePlayerContract( storyTeam, storyPlayer, true )
			SetStoryContractOverride( currentStory, 3 )	-- 3 is not resigning
			SetStoryAllowLoan( currentStory, false )
			SetStoryMoraleOverride( currentStory, 5 ) 	-- 5 Player has demanded to leave
			AddConversation( storyPlayer, "PlayerFeedbackPopUp_LMTR_TransferRequested_", 1, 4, "PlayerFeedbackPopUp_LMTR_TransferRequested_subject", currentStory )
			SetStoryStage( currentStory, 1 )
			TriggerStoryPowHook( "LMTR_TRANSREQ", storyTeam, GetPlayerName( storyPlayer ) )
			AddDateEvent( "LMTR_USR_News", GetTuningValue( "newsDelay_USER", "LMTR" ), storyId )
			AddDateEvent( "LMTR_USR_BOARD", GetTuningValue( "boardDecisionDelay_USER", "LMTR" ), storyId )
		else
			EndStoryId( storyId )
		end
	end --if( GetNumStoriesWithId( storyId5 ) > 0 ) then
end

function LMTR_Stage_3( storyId )
	if( GetNumStoriesWithId( storyId ) > 0 ) then
		local currentStory = GetStoryById( storyId )
		local storyTeam = GetStoryTeam( currentStory )
		local storyPlayer = GetStoryPlayer( currentStory )
		local randOffer = GetRandomNumber( 1, 2, 3 )
		local actualOffers, offer1, offer2, offer3 = GetSuitableTeamsForPlayer( storyTeam, storyPlayer, 3, false )
		SetStringTeam( storyTeam, 1 )
		SetStringPlayer( storyPlayer, 1 )
		SetNewsImportance( "EXCLUSIVE" )
		SetForceToNewsCategory()
		TriggerNews( "news_title_LMTR_TransferRequested_", 1, 4, "news_body_LMTR_TransferRequested_", 1, 4, currentStory )
		SetStoryStage( currentStory, 1 )
		if( actualOffers == 3 ) then
			CreateOfferForPlayer( storyTeam, storyPlayer, offer3 )
		end
		if( actualOffers <= 1 ) then
			CreateOfferForPlayer( storyTeam, storyPlayer, offer1 )
		end
		if( actualOffers == 2 ) then
			CreateOfferForPlayer( storyTeam, storyPlayer, offer2 )
		end
		AddDateEvent( "LMTR2_USER_CLUBS", GetTuningValue( "newsClubsDelay_USER", "LMTR" ), storyId )
	end --if( GetNumStoriesWithId( storyId ) > 0 ) then
end

function LMTR_Stage_4( storyId, randChance )
	if( GetNumStoriesWithId( storyId ) > 0 ) then
		local currentStory = GetStoryById( storyId )
		local storyTeam = GetStoryTeam( currentStory )
		local storyPlayer = GetStoryPlayer( currentStory )
		local userName = GetUsername()
		local actualOffers, offer1, offer2, offer3 = GetSuitableTeamsForPlayer( storyTeam, storyPlayer, 3, false )
		if( randChance == true ) then
			if( actualOffers == 3 ) then
				CreateOfferForPlayer( storyTeam, storyPlayer, offer3 )
			end
		end
		SetStringTeam( storyTeam, 1 )
		SetStringPlayer( storyPlayer, 1 )
		if( randChance == true ) then
			TriggerEmail( false, userName, "CM_Inbox_Sender_Board", "CM_Email_Subject_LMTR_YourCall_", 1, 4, "CM_Email_Body_LMTR_YourCall_", 1, 4 )
			SetStoryVariable( currentStory, "YourCall" )
		else
			TriggerEmail( false, userName, "CM_Inbox_Sender_Board", "CM_Email_Subject_LMTR_BoardSells_", 1, 4, "CM_Email_Body_LMTR_BoardSells_", 1, 4 )
			SetStoryVariable( currentStory, "Sold" )
			SetStoryContractOverride( currentStory, 4 ) -- 4 Listed by the Board
			ForceUserPlayerOntoTransferList( storyPlayer )
			SetStorySellPlayersOverride( currentStory, 1 )	-- 1 is board selling
			TriggerStoryPowHook( "LMTR_BOARDLISTED", storyTeam, GetPlayerName( storyPlayer ) )
		end	
		SetStoryStage( currentStory, 2 )
	end --if( GetNumStoriesWithId( storyId5 ) > 0 ) then
end

function LMTR_Stage_5( storyId )
	if( GetNumStoriesWithId( storyId ) > 0 ) then
		local currentStory = GetStoryById( storyId )
		local storyTeam = GetStoryTeam( currentStory )
		local storyPlayer = GetStoryPlayer( currentStory )
		local actualOffers, offer1, offer2, offer3 = GetSuitableTeamsForPlayer( storyTeam, storyPlayer, 3, false )
		local confused = RollPercentageDice( GetTuningValue( "chanceNewsConfused_USER", "LMTR" ) )
		SetStringTeams( storyTeam, offer1, offer2, offer3 )
		SetStringPlayer( storyPlayer, 1 )
		SetNewsImportance( "EXCLUSIVE" )
		SetForceToNewsCategory()
		TriggerNews( "news_title_LMTR_Clubs_", 1, 4, "news_body_LMTR_Clubs_", 1, 4, currentStory )
		SetStoryStage( currentStory, 3 )
		if( confused == true ) then
			AddDateEvent( "LMTR2_USER_CONFUSED", GetTuningValue( "newsConfusedDelay_USER", "LMTR" ), storyId )
		end
	end
end

function LMTR_Stage_6( storyId )
	if( GetNumStoriesWithId( storyId ) > 0 ) then
		local currentStory = GetStoryById( storyId )
		local storyTeam = GetStoryTeam( currentStory )
		local storyPlayer = GetStoryPlayer( currentStory )
		SetStringTeams( storyTeam, storyTeam )
		SetStringPlayer( storyPlayer, 1 )
		SetNewsImportance( "EXCLUSIVE" )
		SetForceToNewsCategory()
		TriggerNews( "news_title_LMTR_Result_Confused_", 1, 4, "news_body_LMTR_Result_Confused_", 1, 4, currentStory )
		SetStoryStage( currentStory, 4 )
	end --if( GetNumStoriesWithId( storyId ) > 0 ) then
end

function LMTR_Stage_7( storyId, randChance )
	if( GetNumStoriesWithId( storyId ) > 0 ) then
		local currentStory = GetStoryById( storyId )
		local storyTeam = GetStoryTeam( currentStory )
		local storyPlayer = GetStoryPlayer( currentStory )
		local numDays = GetNumDaysRemainingInTransferWindow()
		if( numDays <= 1 ) then
			numDays = 2
		end
		local randDay = GetRandomNumber( GetTuningValue( "minBoardTransferDelay_CPU", "LMTR" ), ( numDays - 1 ) ) -- Delay for CPU Teams board decision ( 1 - 5 Days )
		local confused = RollPercentageDice( GetTuningValue( "chanceNewsConfused_CPU", "LMTR" ) ) -- 25% Chance the News Is Confused ( 1 - 4 )
		SetStringTeams( storyTeam, storyTeam )
		SetStringPlayer( storyPlayer, 1 )
		SetNewsImportance( "EXCLUSIVE" )
		SetForceToNewsCategory()
		if( randChance == true ) then --Stay
			if( confused == true ) then
				TriggerNews( "news_title_LMTR_Result_Confused_", 1, 4, "news_body_LMTR_Result_Confused_", 1, 4, currentStory )
				SetStoryStage( currentStory, 4 )
			else
				TriggerNews( "news_title_LMTR_Result_Stay_", 1, 4, "news_body_LMTR_Result_Stay_", 1, 4, currentStory )
				SetStoryStage( currentStory, 5 )
			end
			RemoveCPUPlayerFromTransferList( storyTeam, storyPlayer )
			EndStoryId( storyId )
		else --Leave
			if( confused == true ) then
				TriggerNews( "news_title_LMTR_Result_Confused_", 1, 4, "news_body_LMTR_Result_Confused_", 1, 4, currentStory )
				SetStoryStage( currentStory, 4 )
			else
				TriggerNews( "news_title_LMTR_Result_Leave_", 1, 4, "news_body_LMTR_Result_Leave_", 1, 4, currentStory )
				SetStoryStage( currentStory, 6 )
			end
			ForceCPUPlayerOntoTransferList( storyTeam, storyPlayer )
			AddDateEvent( "LMTR2_CPU_TRANSFER", randDay, storyId )
		end
		SetStoryStage( currentStory, 1 )
	end --if( GetNumStoriesWithId( storyId ) > 0 ) then
end

function LMTR_Stage_8( storyId )
	if( GetNumStoriesWithId( storyId ) > 0 ) then
		local currentStory = GetStoryById( storyId )
		local storyPlayer = GetStoryPlayer( currentStory )
		local storyTeam = GetStoryTeam( currentStory )
		if( storyTeam ~= GetUserTeam() ) then
			if( IsPlayerInvolvedInStoryId( storyPlayer, storyId ) == true )then
				SetStoryStage( currentStory, 2 )
				SetStoryAllowTransferNews( currentStory, false )
				ForceSafeTransfer( storyTeam, storyPlayer )
			end
		end
	end
end

function LMTR_Stage_9( storyId )
	if( GetNumStoriesWithId( storyId ) > 0 ) then
		local currentStory = GetStoryById( storyId )
		if( GetStoryStage( currentStory ) >= 2 ) then
			local storyTeam = GetStoryTeam( currentStory )
			local storyPlayer = GetStoryPlayer( currentStory )
			SetStringTeams( storyTeam, storyTeam )
			SetStringPlayer( storyPlayer, 1 )
			SetNewsImportance( "EXCLUSIVE" )
			SetForceToNewsCategory()
			TriggerNews( "news_title_LMTR_Result_Leave_", 1, 4, "news_body_LMTR_Result_Leave_", 1, 4, currentStory )
			SetStoryStage( currentStory, 6 )
		end
	end
end

function LMTRTransferListed( teamId, playerId, leagueId, marketValue, currency )
	local storyId = "LMTR_USR1"
	local numStories = GetNumStoriesWithId( storyId )
	if( numStories > 0 ) then
		if( IsPlayerInvolvedInStoryId( playerId, storyId ) == true )then
			local currentStory = GetStoryById( storyId )
			--ForceUserPlayerOntoTransferList( playerId )
			SetStorySellPlayersOverride( currentStory, 2 )	-- Transfer Request Accepted
			AddDateEvent( "LMTR2_USR_TFR", 1, storyId )
			TriggerStoryPowHook( "LMTR_LISTED", teamId, GetPlayerName( playerId ) )
		end
	end --if( numStories > 0 ) then
end

function LastMinTransferComplete( buyingTeam, sellingTeam, playerId, transfer, contract, price, wage, playerValue )
	local category = "REQTRANS"
	local numStories = GetNumStoriesByCategory( category )
	if( IsPlayerInvolvedInStoryCategory( playerId, category ) == true ) then
		for storyCount = numStories, 1,  -1 do -- go backwards in loop
			local currentStory = GetStoryByCategoryAndIndex( category, storyCount )
			local storyId = GetStoryId( currentStory )
			if( IsPlayerInvolvedInStoryId( playerId, storyId ) == true )then
				local storyPlayer = GetStoryPlayer( currentStory )
				local storyTeam = GetStoryTeam( currentStory )
				local boardDecision = GetStoryVariable( currentStory )
				SetStringTeams( sellingTeam, buyingTeam )
				SetStringPlayer( storyPlayer, 1 )
				SetStringCurrency( price )
				SetNewsImportance( "EXCLUSIVE" )
				SetForceToNewsCategory()
				if( boardDecision == "Sold" ) then
					TriggerNews( "news_title_LMTR_Result_BoardSold_", 1, 4, "news_body_LMTR_Result_BoardSold_", 1, 4, currentStory )
					SetStoryStage( currentStory, 7 )
				else
					TriggerNews( "news_title_LMTR_Result_TransferComplete_", 1, 4, "news_body_LMTR_Result_TransferComplete_", 1, 4, currentStory )
					SetStoryStage( currentStory, 8 )
				end
				if( storyTeam ~= GetUserTeam() ) then
					RemoveCPUPlayerFromTransferList( storyTeam, storyPlayer )
				end
				TriggerStoryPowHook( "LMTR_LEFTCLUB", sellingTeam, GetPlayerName( storyPlayer ), buyingTeam )
				KillStoryAfterMatch( currentStory )
			end --if( IsPlayerInvolvedInStoryId( playerId, storyId1 ) == true )then
		end --for storyCount = numStories, 1,  -1 do -- go backwards in loop
	end --if( numStories > 0 ) then
end

function LMTREndOfTransferWindow( numDays )
	if( numDays == 1 ) then
		local category = "REQTRANS"
		local numStories = GetNumStoriesByCategory( category )
		if( numStories > 0 ) then
			for storyCount = numStories, 1, -1 do
				local currentStory = GetStoryByCategoryAndIndex( category, storyCount )
				local storyPlayer = GetStoryPlayer( currentStory )
				local storyId = GetStoryId( currentStory )
				if( IsPlayerInvolvedInStoryId( storyPlayer, storyId ) == true )then
					local storyTeam = GetStoryTeam( currentStory )
					local boardDecision = GetStoryVariable( currentStory )
					SetStringTeam( storyTeam, 1 )
					SetStringPlayer( storyPlayer, 1 )
					if( boardDecision == "Sold" ) then
						SetStoryAllowTransferNews( currentStory, false )
						ForceSafeTransfer( storyTeam, storyPlayer )
					else
						if( storyTeam ~= GetUserTeam() ) then
							EndStoryId( storyId )
						else
							AddDateEvent( "LMTR3_USR_NOTTRANS", 2, storyId )
						end
					end
				end --if( IsPlayerInvolvedInStoryId( storyPlayer, storyId ) == true )then
			end
		end --if( numStories > 0 ) then
	end --if( numDays == 0 ) then
end

function ExamineTeamForLmtrPlayer( teamId, validPlayers, numValidPlayers )
	local topNumPlayers = 5
	local numPlayersOnTeam = GetNumPlayers( teamId )
	if( numPlayersOnTeam >= 23 ) then
		teamId = StackRankTeamByOverall( teamId )	
		local playerId = 0
		local reason = 0
		for playerCount = 1, topNumPlayers do
			playerId = GetPlayer( teamId, playerCount )
			ConditionalLuaAssert(teamId>0, "ExamineTeamForLmtrPlayer team:"..teamId)
			reason = GetReasonForPlayerUpset( teamId, playerId )
			if( reason > 0 ) then
				numValidPlayers = numValidPlayers + 1
				validPlayers[ numValidPlayers ] = playerId
			end
		end --for playerCount = 1, topNumPlayers do
	end --if( numPlayersOnTeam >= 23 ) then
	return numValidPlayers
end

function AddMatchingLastMinuteTransferToList( teamId, numPlayers, validPlayers ) -- Add player to index
	local addedPlayers = 1
	for playerCount = 1, numPlayers do
		local currPlayer = GetPlayer( teamId, playerCount )
		ConditionalLuaAssert(teamId>0, "AddMatchingLastMinuteTransferToList team:"..teamId)
		local reason = GetReasonForPlayerUpset( teamId, currPlayer )
		if( reason > 0 ) then
			validPlayers[ addedPlayers ] = currPlayer
			addedPlayers = addedPlayers + 1
		end
	end --for playerCount = 1, numPlayers do
	return addedPlayers	- 1	--Cos of lua index from 0
end

function deadlineDayPassedLMTR( hoursLeft )
	if( hoursLeft == 0 ) then
		local storyId = "LMTR_USR1"
		local numStories = GetNumStoriesWithId( storyId )
		if( numStories > 0 ) then
			local currentStory = GetStoryById( storyId )
			local storyPlayer = GetStoryPlayer( currentStory )
			if( IsPlayerInvolvedInStoryId( storyPlayer, storyId ) == true )then
				local stage = GetStoryStage( currentStory )
				if( stage < 7 ) then
					local storyTeam = GetStoryTeam( currentStory )
					SetStringTeam( storyTeam, 1 )
					SetStringPlayer( storyPlayer, 1 )
					SetNewsImportance( "EXCLUSIVE" )
				SetForceToNewsCategory()
					TriggerNews( "news_title_LMTR_Result_Stay_", 1, 4, "news_body_LMTR_Result_Stay_", 1, 4, currentStory )
					SetStoryContractOverride( currentStory, -1 )
					TriggerStoryPowHook( "LMTR_STAYING", teamId, GetPlayerName( storyPlayer ) )
					SetStoryStage( currentStory, 5 )
					KillStoryAfterMatch( currentStory )
				end
			end --if( IsPlayerInvolvedInStoryId( storyPlayer, storyId ) == true )then
		end --if( numStories > 0 ) then
	end --if( daysLeft == 0 ) then
end

function PostSaleAudio_LMTR( playerId )
	local storyId = "LMTR_USR1"
	if( IsStoryIDActive( storyId ) == true ) then
		local teamId = GetUserTeam()
		local category = "REQTRANS"
		local currentStory = GetStoryById( storyId )
		local stage = GetStoryStage( currentStory )
		EndAllStoriesForPlayer( playerId )
		if( MarkPlayerForStory( teamId, playerId, category, storyId ) == true ) then
			local currentStory1 = GetStoryById( storyId )
			SetStoryStage( currentStory1, stage )
			KillStoryAfterMatch( currentStory1 )
		end
	end
end