function Print( var )
	if( isFinalVar == false and IsLogging() == true ) then
		print( var )
	end
end

function LogStringLua( var )
	if( isFinalVar == false and IsLogging() == true  ) then
		LogString( var )
	end
end

function DetermineAvgRatingForTeam( teamId, numPlayers )
	teamId = StackRankTeamByOverall( teamId )	
	local totalOverall = 0
	for playerCount = 1, numPlayers do
		local currPlayer = GetPlayer( teamId, playerCount )
		totalOverall = totalOverall + GetPlayerOverall( currPlayer )
	end --for playerCount = 1, numPlayers do
	local average = totalOverall / numPlayers
	return average
end

function IsMeetingObjective( team )
	local objectiveStatus = GetTeamLeague_ActualVsExpectations_AsString( team )
	local isMeeting = ( objectiveStatus == "EXPECTATION_EXCEEDING" or objectiveStatus == "EXPECTATION_MEETING" )
	return isMeeting
end

function ModifyTeamMorale( teamId, change )
	local numPlayersOnTeam = GetNumPlayers( teamId )
	for playerCount = 1, numPlayersOnTeam do
		local currentPlayer = GetPlayer( teamId, playerCount )
		ModifyPlayerMorale( teamId, currentPlayer, change )
	end
end

function GetWinDrawLossPercentage( numWins, numDraws, numLosses )
	local numGames = numWins + numDraws + numLosses
	local winPerc = 0
	local drawPerc = 0
	local lossPerc = 0
	if( numGames > 0 ) then
		winPerc = ( numWins * 100 ) / numGames
		drawPerc = ( numDraws * 100 ) / numGames
		lossPerc = ( numLosses * 100 ) / numGames
	end
	return winPerc, drawPerc, lossPerc
end

function GetTeamNation( teamId )
	local leagueId = GetLeagueId( teamId )
	local leagueNationId = GetLeagueNationId( leagueId )
	return leagueNationId
end

function RollPercentageDice( chance, force )
	local returnVal = false
	if( force == true ) then
		returnVal = true
	else
		local randNo = GetRandomNumber( 1, 100 )
		if( randNo <= chance ) then
			returnVal = true
		end
	end --if( force == true ) then
	return returnVal
end

function MakeCPUOfferForPlayer( teamId, playerId, numOffers, startRandom )
	local inWindow = IsWithinTransferWindow()
	if( inWindow == true ) then
		local maxOffers = 9
		if( numOffers > maxOffers ) then
			numOffers = maxOffers
		end --if( numOffers > maxOffers ) then
		local offers = {}
		local offer1 = 0
		local offer2 = 0
		local offer3 = 0
		local offer4 = 0
		local offer5 = 0
		local offer6 = 0
		local offer7 = 0
		local offer8 = 0
		local offer9 = 0
		local actualOffers, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitableTeamsForPlayer( teamId, playerId, numOffers, false )
		offers[ 1 ] = offer1
		offers[ 2 ] = offer2
		offers[ 3 ] = offer3
		offers[ 4 ] = offer4
		offers[ 5 ] = offer5
		offers[ 6 ] = offer6
		offers[ 7 ] = offer7
		offers[ 8 ] = offer8
		offers[ 9 ] = offer9
		if( actualOffers < startRandom ) then
			startRandom = actualOffers
		end --if( actualOffers < startRandom ) then
		if( actualOffers < numOffers ) then
			numOffers = actualOffers
		end --if( actualOffers < numOffers ) then
		local teamChoice = GetRandomNumber( startRandom, numOffers )
		CreateOfferForPlayer( teamId, playerId, offers[ teamChoice ] )
	end --if( inWindow == true ) then
end

-- Player Upset With Club Functions
function GetReasonForPlayerUpset( teamId, playerId )
	local match = 0		
	if( IsUnderachieving( teamId, playerId ) == true ) then
		match = 1			
	elseif( IsTooBigForTeam( teamId, playerId ) == true ) then 
		match = 2
	elseif( IsUnhappyWithSalary( teamId, playerId ) == true ) then
		match = 3
	end 	
	return match
end

function IsUnderachieving( teamId, playerId )
	local underachieving = false
	local morale = GetPlayerMoraleLevel( teamId, playerId )
	if( morale == "VERY_LOW" or morale == "LOW" ) then
		underachieving = true
	end
	return underachieving
end

function IsTooBigForTeam( teamId, playerId )
	local tooBig = false
	teamId = StackRankTeamByOverall( teamId )
	local playerRank = GetPlayerIndexById( teamId, playerId )
	if( playerRank == 1 ) then -- top play
		local playerOverall = GetPlayerOverall( playerId )
		local secondBestPlayer = GetPlayer( teamId, 2 )
		local secondBestOverall = GetPlayerOverall( secondBestPlayer )
		local overallDiff = GetTuningValue( "ovrDiff_BestPlayer", "MISC" )
		if( playerOverall >= secondBestOverall + overallDiff ) then
			tooBig = true
		end
	elseif( playerRank <= GetTuningValue( "topPlayerCount", "MISC" ) ) then -- top five player
		local potentialDiff = GetTuningValue( "potDiff_TopPlayers", "MISC" )
		local playerOverall = GetPlayerOverall( playerId )
		local playerPotential = GetPlayerPotential( teamId, playerId )
		if( playerPotential >= playerOverall + potentialDiff ) then
			tooBig = true
		end
	end
	return tooBig
end

function IsUnhappyWithSalary( teamId, playerId )
	local unhappy = false
	teamId = StackRankTeamByOverall( teamId )
	local playerRank = GetPlayerIndexById( teamId, playerId )
	teamId = StackRankTeamByWage( teamId )
	local wageRank = GetPlayerIndexById( teamId, playerId )
	local rankDifference = GetTuningValue( "rankDifference", "MISC" )
	local age = GetPlayerAge( teamId, playerId )
	if( age <= GetTuningValue( "maxAge", "MISC" ) ) then
		if( playerRank + rankDifference <= wageRank ) then
			unhappy = true
		end
	end
	return unhappy
end
-- Player Upset With Club Functions

function ForceSafeTransfer( teamId, playerId )
	local success = false
	local actualOffers, offer1, offer2, offer3, offer4, offer5, offer6, offer7, offer8, offer9 = FindSuitableTeamsForPlayer( teamId, playerId, 9, false )
	local validTeams = {}
	if( actualOffers > 0 ) then
		for offersCount = 1, actualOffers do
			local offer = offer1
			if( offersCount == 2 ) then
				offer = offer2
			elseif( offersCount == 3 ) then
				offer = offer3
			elseif( offersCount == 4 ) then
				offer = offer4
			elseif( offersCount == 5 ) then
				offer = offer5
			elseif( offersCount == 6 ) then
				offer = offer6
			elseif( offersCount == 7 ) then
				offer = offer7
			elseif( offersCount == 8 ) then
				offer = offer8
			elseif( offersCount == 9 ) then
				offer = offer9
			end
			local isRival = AreTeamsRivals( teamId, offer )
			if( isRival == false ) then
				table.insert( validTeams, offer )
			end
		end
		local numTeams = # validTeams
		local playerTeamId = GetTeamIdFromPlayerId( playerId )
		if( teamId == playerTeamId ) then
			local randNum = GetRandomNumber( 1, numTeams )
			if( randNum == 9 ) then
				ForceTransfer( teamId, playerId, offer9, false )
			elseif( randNum == 8 ) then
				ForceTransfer( teamId, playerId, offer8, false )
			elseif( randNum == 7 ) then
				ForceTransfer( teamId, playerId, offer7, false )
			elseif( randNum == 6 ) then
				ForceTransfer( teamId, playerId, offer6, false )
			elseif( randNum == 5) then
				ForceTransfer( teamId, playerId, offer5, false )
			elseif( randNum == 4 ) then
				ForceTransfer( teamId, playerId, offer4, false )
			elseif( randNum == 3 ) then
				ForceTransfer( teamId, playerId, offer3, false )
			elseif( randNum == 2 ) then
				ForceTransfer( teamId, playerId, offer2, false )
			else
				ForceTransfer( teamId, playerId, offer1, false )
			end
			AddGrudge( playerId, teamId )
			success = true
		end
	end --if( actualOffers > 1 ) then
	return success
end

function IsAbleToPlay( teamId, playerId )
	local ableToPlay = true
	if( IsInjured( teamId, playerId ) == true ) then
		if( IsRecoveringFromInjury( teamId, playerId ) == true ) then
			ableToPlay = true
		else
			ableToPlay = false
		end
	end
	if( ableToPlay == true and IsPlayerSuspendedForNextGame( teamId, playerId ) == true ) then
		ableToPlay = false
	end
	return ableToPlay
end

function IsPlayerInvolvedInSaga( playerId )
	local lastMinuteTransferRequest = IsPlayerInvolvedInStoryCategory( playerId, "TRANSREQ" )
	local foreignPlayerUpset = IsPlayerInvolvedInStoryCategory( playerId, "REQTRANS" )
	local contractRebel = IsPlayerInvolvedInStoryCategory( playerId, "CONT_REB" )
	local retiringPlayer = IsPlayerInvolvedInStoryCategory( playerId, "RETIRE" )
	local playTimeMorale = IsPlayerInvolvedInStoryCategory( playerId, "UNHAPPY" )
	local isInvolved = ( lastMinuteTransferRequest == true or foreignPlayerUpset == true or contractRebel == true or retiringPlayer == true or playTimeMorale == true )
	return isInvolved
end

function OfferNewContract( currentStory, teamId, playerId, acceptId, rejectId, storyId )
	SetStoryContractOverride( currentStory, 6 )	-- 6 is negotiating
	local currentWage = GetPlayerWage( teamId, playerId )
	local offeredWage = GetPlayerOfferedWage( teamId, playerId )
	local perc = GetTuningValue( "contPerc", "MISC" )
	local percOfCurrent = ( currentWage * perc ) / 100
	if( offeredWage > currentWage + percOfCurrent ) then
		AddDateEvent( acceptId, 2, storyId )
	else
		AddDateEvent( rejectId, 2, storyId )
	end
end

function WouldPlayerEvenLeaveClub( teamId, playerId )
	local monthsJoined = GetNumberOfMonthsSincePlayerJoined( teamId, playerId )
	local numYears = GetNumberOfYearsSincePlayerJoined( teamId, playerId ) 
	local playerAge = GetPlayerAge( teamId, playerId )
	local oneClubPlayer = HasPlayerTrait( teamId, playerId, "ONE_CLUB_PLAYER" )
	local isListed = IsPlayerOnTransferList( playerId )
	local loanListed = IsPlayerOnLoanList( playerId )
	local inOnLoan = IsPlayerInOnLoan( teamId, playerId )
	local isRetiring = IsRetiring( playerId )
	local isPap = ( playerId == GetPlayAsPlayerID() )
	local injuryDuration = GetInjuryDuration( teamId, playerId )
	local numDaysOfInjury = GetTuningValue( "numDaysInjured", "MISC" )
	local playerFitEnough = ( injuryDuration < numDaysOfInjury )
	local hasSignedPreContract = HasSignedPreContract( playerId )
	local retireStory = IsPlayerInvolvedInStoryId( playerId, "POTRET" )
	local wouldLeave = ( ( numYears <= GetTuningValue( "numYearsOnTeam", "MISC" ) or playerAge <= GetTuningValue( "playerAge", "MISC" ) ) and ( oneClubPlayer == false ) and ( inOnLoan == false ) and ( isRetiring == false ) and ( monthsJoined >= GetTuningValue( "monthsJoined", "MISC" ) ) and ( isPap == false ) and ( playerFitEnough == true ) and ( isListed == false ) and ( loanListed == false ) and ( hasSignedPreContract == false ) and ( retireStory == false ) )
	return wouldLeave
end

function PlayerSagaInjuryEnding( teamId, playerId, severity, returnDate )
	local storyId = "NIL"
	local currDate = GetCurrentDate()
	local daysBetween = GetNumDaysBetween( currDate, returnDate )
	local canRun = false
	local category = "NIL"
	if( IsPlayerInvolvedInStoryCategory( playerId, "UNHAPPY" ) == true ) then
		local numCat = ( GetNumStoriesByCategory( "PLAYTIME" ) + 1 )
		if( MarkPlayerForStory( teamId, playerId, "PLAYTIME", "PLAYTIME" .. numCat ) == true ) then
			EndStoryCategory( "UNHAPPY" )
		end
	elseif( daysBetween >= 14 ) then
		if( IsPlayerInvolvedInStoryCategory( playerId, "TRANSREQ" ) == true ) then
			local numDays = GetNumDaysUntilNextTransferWindow()
			local inWindow = IsWithinTransferWindow()
			if( inWindow == true or daysBetween > numDays ) then
				canRun = true
				category = "TRANSREQ"
			end
		elseif( IsPlayerInvolvedInStoryCategory( playerId, "REQTRANS" ) == true ) then
			local numDaysLeft = GetNumDaysRemainingInTransferWindow()
			if( daysBetween > numDaysLeft ) then
				canRun = true
				category = "REQTRANS"
			end
		elseif( IsPlayerInvolvedInStoryCategory( playerId, "CONT_REB" ) == true ) then
			local numDays = GetNumDaysUntilNextTransferWindow()
			local inWindow = IsWithinTransferWindow()
			if( inWindow == true or daysBetween > numDays ) then
				canRun = true
				category = "CONT_REB"
			end
		end
		if( canRun == true ) then
			local numStories = GetNumStoriesByCategory( category )
			for storyCount = numStories, 1, -1 do
				local currentStory = GetStoryByCategoryAndIndex( category, storyCount )
				storyId = GetStoryId( currentStory )
			end
		end
		if( storyId ~= "NIL" ) then
			AddDateEvent( "INJURED", 1, storyId )
		end
	end
end

function PlayerSagaReleasedEnding( teamId, playerId )
	local storyId = "NIL"
	local category = "NIL"
	local numStories = 0
	local canRun = false
	if( IsPlayerInvolvedInStoryCategory( playerId, "TRANSREQ" ) == true ) then
		canRun = true
		category = "TRANSREQ"
	elseif( IsPlayerInvolvedInStoryCategory( playerId, "REQTRANS" ) == true ) then
		canRun = true
		category = "REQTRANS"
	elseif( IsPlayerInvolvedInStoryCategory( playerId, "CONT_REB" ) == true ) then
		canRun = true
		category = "CONT_REB"
	elseif( IsPlayerInvolvedInStoryCategory( playerId, "RETIRE" ) == true ) then
		canRun = true
		category = "RETIRE"
	end
	if( canRun == true ) then
		local numStories = GetNumStoriesByCategory( category )
		for storyCount = numStories, 1, -1 do
			local currentStory = GetStoryByCategoryAndIndex( category, storyCount )
			storyId = GetStoryId( currentStory )
		end
	end
	if( storyId ~= "NIL" ) then
		AddDateEvent( "RELEASED", 1, storyId )
	end
end

function SagaEndingDynamicEvent( eventId, storyId )
	if( eventId == "INJURED" ) then
		InjuredSagaEnding( storyId )
	elseif( eventId == "RELEASED" ) then
		ReleasedSagaEnding( storyId )
	end
end

function InjuredSagaEnding( storyId )
	local currentStory = GetStoryById( storyId )
	local playerId = GetStoryPlayer( currentStory )
	local teamId = GetStoryTeam( currentStory )	
	SetStringTeam( teamId, 1 )
	SetStringPlayer( playerId, 1 )
	TriggerNews( "news_title_Saga_InjuryEnding_", 1, 1, "news_body_Saga_InjuryEnding_", 1, 1, currentStory )
	UpdateStoryActivityById( storyId )
	EndStoryId( storyId )
end

function ReleasedSagaEnding( storyId )
	local currentStory = GetStoryById( storyId )
	local playerId = GetStoryPlayer( currentStory )
	local teamId = GetStoryTeam( currentStory )	
	SetStringTeam( teamId, 1 )
	SetStringPlayer( playerId, 1 )
	TriggerNews( "news_title_Saga_ReleasedEnding_", 1, 1, "news_body_Saga_ReleasedEnding_", 1, 1, currentStory )
	UpdateStoryActivityById( storyId )
	EndAllStoriesForPlayer( playerId )
end

function GetTeamPlayerAvg( teamId, numPlayers )
	local totalAvg = 0
	teamId = StackRankTeamByOverall( teamId )
	local loopToPlayers = numPlayers
	local numPlayersOnTeam = GetNumPlayers( teamId )
	if( numPlayersOnTeam < loopToPlayers ) then
		loopToPlayers = numPlayersOnTeam
	end
	for playerCount = 1, loopToPlayers do
		local currPlayer = GetPlayer( teamId, playerCount )
		local playerOverall = GetPlayerOverall( currPlayer )
		totalAvg = totalAvg + playerOverall
	end
	totalAvg = totalAvg / numPlayers
	return totalAvg
end

function GetSuitableTeamsForPlayer( teamId, playerId, numOffers, ignoreBudget )
	local offer = { -1, -1, -1, -1, -1, -1, -1, -1, -1 }
	local actualOffers = 0
	if( numOffers <= 9 ) then
		local badOfferFound = false
		actualOffers, offer[ 1 ], offer[ 2 ], offer[ 3 ], offer[ 4 ], offer[ 5 ], offer[ 6 ], offer[ 7 ], offer[ 8 ], offer[ 9 ] = FindSuitableTeamsForPlayer( teamId, playerId, numOffers, ignoreBudget )
		for offerCount = 1, actualOffers do
			if( offer[ offerCount ] == -1 ) then
				badOfferFound = true
				break
			end
		end
		if( badOfferFound == true ) then
			offer[ 1 ], offer[ 2 ], offer[ 3 ], offer[ 4 ], offer[ 5 ], offer[ 6 ], offer[ 7 ], offer[ 8 ], offer[ 9 ] = FindSuitablePlayersSafety( playerId, numOffers )
		end
	else
		LuaAssert( "FindSuitablePlayers - Too many offers requested: " .. numOffers )
	end
	return actualOffers, offer[ 1 ], offer[ 2 ], offer[ 3 ], offer[ 4 ], offer[ 5 ], offer[ 6 ], offer[ 7 ], offer[ 8 ], offer[ 9 ]
end

function FindSuitablePlayersSafety( playerId, numOffers )
	local highTeam = { 1, 5, 7, 9, 10, 11, 13, 18, 21, 22, 38, 44, 45, 47, 48, 52, 66, 69, 73, 78, 175, 191, 219, 229, 234, 236, 240, 241, 243, 245, 247, 280, 312, 315, 325, 326, 327, 393, 418, 433, 461, 479, 481, 483, 485, 573, 598, 697, 819, 896, 100769, 101059, 130015, 100767, 100766, 130016, 110468, 32, 1041, 100765 }    
	local numHighTeams = table.getn( highTeam )
	local userTeam = GetUserTeam()
	if( numOffers == nil ) then
		numOffers = 9
	end
	for teamCount = 1, numHighTeams do
		if( userTeam == highTeam[ teamCount ] ) then
			table.remove( highTeam, teamCount )
			numHighTeams = table.getn( highTeam )
			break
		end
	end
	randNum = GetRandomNumber( 1, numHighTeams - numOffers )
	return highTeam[ randNum ], highTeam[ randNum + 1 ], highTeam[ randNum + 2 ], highTeam[ randNum + 3 ], highTeam[ randNum + 4 ], highTeam[ randNum + 6 ], highTeam[ randNum + 7 ], highTeam[ randNum + 8 ], highTeam[ randNum + 9 ]
end

function DidPlayerScore( matchResult, player ) -- Also in misc functions
	local scored = false
	local numIncidents = GetNumberOfIncidents( matchResult )
	for incidentCount = 1, numIncidents do
		local type = GetIncidentTypeByIndex( matchResult, incidentCount )
		if( type == "GOAL" ) then
			local incident = GetMatchIncidentByIndex( matchResult, incidentCount )
			local teamId, playerId, incidentTime = GetIncidentTeamPlayerAndTime( matchResult, incident )
			if(  playerId == player ) then
				scored = true
				break
			end
		end
	end
	return scored
end

function GetUserImportance()
	local fixture = GetCurrentGameFixtureData()
	local team1, team2 = GetTeamsFromFixtureData( fixture )
	local teamMI1, teamMI2 = GetMatchImportance( fixture )
	local matchImp = 0
	if( team1 == GetUserTeam() ) then
		matchImp = teamMI1
	else
		matchImp = teamMI2
	end
	return matchImp
end

function GetUserCpuTeamFromIds( team1, team2 )
	local userTeam = team1
	local cpuTeam = team2
	if( team1 ~= GetUserTeam() ) then
		cpuTeam = team1
		userTeam = team2
	end	
	return userTeam, cpuTeam
end

function GetTeamsFromFixture( fixture )
	local team1, team2 = GetTeamsFromFixtureData( fixture )
	local userTeam, cpuTeam = GetUserCpuTeamFromIds( team1, team2 )
	return userTeam, cpuTeam
end