function ExamineFor_RetiringPlayer()
	local category = "RETIRE"
	local storyId = "POTRET"
	local userTeam = GetUserTeam()
	userTeam = StackRankTeamByAge( userTeam )
	local numPlayersOnTeam = GetNumPlayers( userTeam )
	if( numPlayersOnTeam > 25 ) then
		local maxPlayersToCheck = 2
		local currentPlayer = 0
		local playerIsInOnLoan = false
		local playAsPlayerId = -1
		for playerCount = 1, maxPlayersToCheck do
			currentPlayer = GetPlayer( userTeam, playerCount )
			playerIsInOnLoan = IsPlayerInOnLoan( userTeam, currentPlayer )
			playAsPlayerId = GetPlayAsPlayerID()
			if( playerIsInOnLoan == false and playAsPlayerId ~= currentPlayer ) then
				if( CouldPlayerRetire( userTeam, currentPlayer ) == true ) then
					StartStory_RetiringPlayer( userTeam, currentPlayer )
					break
				end -- end if( CouldPlayerRetire( userTeam, currrentPlayer ) == true ) then
			end --if( playerIsInOnLoan == false ) then
		end -- for playerCount = 0, playerCount < maxPlayersToCheck do
	end -- if( numPlayersOnTeam > 25 ) then
end

function StartStory_RetiringPlayer( teamId, playerId )
	local category = "RETIRE"
	local storyId = "POTRET"
	if( MarkPlayerForStory( teamId, playerId, category, storyId ) == true ) then
		local currentStory = GetStoryById( storyId )
		SetStoryPriority( currentStory, 4 )
		SetStoryAllowTransfers( currentStory, false )
		ClearRetirementFlag( playerId )
		local numDaysAfter = GetRandomNumber( GetTuningValue( "stage1_Delay_Low", "RETIRE" ), GetTuningValue( "stage1_Delay_High", "RETIRE" ) )
		AddDateEvent( "RET", numDaysAfter, storyId )
		SetStorySellPlayersOverride( currentStory, -1 ) -- Clearing
	end -- if( MarkPlayerForStory( teamId, playerId, category, storyId ) == true ) then
end

function CouldPlayerRetire( teamId, currentPlayer )
	local playerCouldRetire = false;
	local percentage = GetPlayerRetirementChance( teamId, currentPlayer )	
	if( percentage == 100 ) then
		playerCouldRetire = false		-- Not Could but Should		
	else
		local randno = 90
		if( randno < percentage ) then		-- if the randno number falls between 0 and random value
			playerCouldRetire = true
		end -- if( randno < percentage ) then
	end -- if( percentage == 100 ) then
	return playerCouldRetire
end

-- Post user game
function ExamineForRetiringPlayer( matchResult, gametype )
	if( gametype ~= "FRIENDLY" ) then
		local storyId = "POTRET"
		local storyActive = IsStoryIDActive( storyId )
		if( storyActive == true ) then
			local currentStory = GetStoryById( storyId )
			local storyPlayer = GetStoryPlayer( currentStory )
			local momPlayer = GetManOfTheMatch( matchResult )
			if( storyPlayer == momPlayer ) then
				local userTeam = GetUserTeam()
				local homeTeam, awayTeam = GetMatchResultTeamIds( matchResult )
				if( userTeam == homeTeam ) then
					SetStringTeams( homeTeam, awayTeam )
				else
					SetStringTeams( awayTeam, homeTeam )
				end					
				SetStringPlayer( storyPlayer )
				SetNewsImportance( "EXCLUSIVE" )
				TriggerNews( "News_Title_PotentialRetirement_MoM_", 1, 4, "News_Item_PotentialRetirement_MoM_", 1, 5, currentStory )
				SetStoryStage( currentStory, 1 )
			end --if( storyPlayer == momPlayer ) then				
		end -- if( storyActive == true ) then
	end -- if( gametype ~= "FRIENDLY" ) then
end

function RetiringPlayerInjury( teamId, playerId, severity, returnDate )
	local storyId = "POTRET"
	local storyActive = IsStoryIDActive( storyId )
	if( storyActive == true ) then
		local currentStory = GetStoryById( storyId )
		local storyPlayer = GetStoryPlayer( currentStory )
		if( storyPlayer == playerId ) then
			if( GetInjuryDuration( teamId, playerId ) >= GetTuningValue( "injuryDuration", "RETIRE" ) ) then					
				AddDateEvent( "Ret_Inj", 1, storyId )
				AddDateEvent( storyId, GetTuningValue( "injuryDecisionDelay", "RETIRE" ), storyId )
			end --if( GetInjuryDuration( teamId, playerId ) >= 25 ) then
		end -- if( storyPlayer == playerId ) then
	end --if( storyActive == true ) then
end

function RetiringPlayerAdvanceInCup( numAdvancingTeams )
	if( numAdvancingTeams == 4 ) then -- after the Quarters
		local storyId = "POTRET"
		local storyActive = IsStoryIDActive( storyId )
		if( storyActive == true ) then
			local currentStory = GetStoryById( storyId )
			local storyPlayer = GetStoryPlayer( currentStory )
			local storyTeam = GetStoryTeam( currentStory )
			local playedInLastGame = DidPlayInLastGame( storyTeam, storyPlayer )
			SetStringPlayer( storyPlayer )
			SetStringTeam( storyTeam )
			if( playedInLastGame == true ) then 					
				SetNewsImportance( "EXCLUSIVE" )
				TriggerNews( "News_Title_PotentialRetirement_ReachingNextRound_", 1, 4, "News_Item_PotentialRetirement_ReachingNextRound_", 1, 4, currentStory )
				SetStoryStage( currentStory, 2 )
			else
				if( IsInjured( storyTeam, storyPlayer ) == false ) then					
					AddConversation( storyPlayer, "PlayerFeedbackPopUp_PotentialRetirement_ReachingNextRound_NotFielded_", 1, 4, "PlayerFeedbackPopUp_PotentialRetirement_ReachingNextRound_NotFielded_subject", currentStory )
				end
			end -- if( playedInLastGame == true ) then 
		end --if( storyActive == true ) then
	end --if( numAdvancingTeams == 8 ) then
end

function RetiringDynamicEvent( eventId, linkId )
	local storyId = "POTRET"	
	if( linkId == storyId ) then	
		local currentStory = GetStoryById( storyId )
		local storyPlayer = GetStoryPlayer( currentStory )
		local storyTeam = GetStoryTeam( currentStory )
		if( eventId == storyId ) then
			local chanceOfRetirement = GetTuningValue( "chanceOfRetirementInjury", "RETIRE" )
			local randChance = 90
			if( randChance < chanceOfRetirement ) then
				AddConversation( storyPlayer, "PlayerFeedbackPopUp_PotentialRetirement_SufferedSevereInjury_Retires_", 1, 4, "PlayerFeedbackPopUp_PotentialRetirement_SufferedSevereInjury_subject", currentStory )
				AddDateEvent( "PotRet_InjRet", 1, storyId )
			else
				AddConversation( storyPlayer, "PlayerFeedbackPopUp_PotentialRetirement_SufferedSevereInjury_NotRetiring_", 1, 4, "PlayerFeedbackPopUp_PotentialRetirement_SufferedSevereInjury_subject", currentStory )
				SetStoryContractOverride( currentStory, -1 )
				AddDateEvent( "PotRet_InjStay", 1, storyId )
			end --if( randChance < chanceOfRetirement ) then
		elseif( eventId == "PotRet_InjRet" ) then
			SetStringPlayer( storyPlayer )
			SetStringTeam( storyTeam )
			SetNewsImportance( "EXCLUSIVE" )
			TriggerNews( "News_Title_PotentialRetirement_SufferedSevereInjury_Retires_", 1, 4, "News_Item_PotentialRetirement_SufferedSevereInjury_Retires_", 1, 4, currentStory ) -- Retires
			RetirePlayer( storyTeam, storyPlayer )
			SetStoryStage( currentStory, 3 )
		elseif( eventId == "PotRet_InjStay" ) then
			SetStringPlayer( storyPlayer )
			SetStringTeam( storyTeam )
			SetNewsImportance( "EXCLUSIVE" )
			TriggerNews( "News_Title_PotentialRetirement_SufferedSevereInjury_NoRetirement_", 1, 4, "News_Item_PotentialRetirement_SufferedSevereInjury_NoRetirement_", 1, 4, currentStory )
			SetStoryStage( currentStory, 4 )
		elseif( eventId == "PotRet_Ret" ) then
			SetStringPlayer( storyPlayer )
			SetStringTeam( storyTeam )
			SetNewsImportance( "EXCLUSIVE" )
			TriggerNews( "CM_News_Title_PlayerAnnouncingRetirement_Retires_", 1, 4, "CM_News_Item_PlayerAnnouncingRetirement_Retires_", 1, 4, currentStory ) --Retires+
			SetStoryStage( currentStory, 5 )
		elseif( eventId == "PotRet_Stay" ) then
			SetStringPlayer( storyPlayer )
			SetStringTeam( storyTeam )
			SetNewsImportance( "EXCLUSIVE" )
			TriggerNews( "CM_News_Title_PlayerAnnouncingRetirement_NotRetiring_", 1, 4, "CM_News_Item_PlayerAnnouncingRetirement_NotRetiring_", 1, 4, currentStory )
			SetStoryStage( currentStory, 6 )
		elseif( eventId == "PlayerRet" ) then
			SetStringPlayer( storyPlayer )
			SetStringTeam( storyTeam )
			SetNewsImportance( "EXCLUSIVE" )
			TriggerNews( "News_Title_PlayerMightRetire_", 1, 4, "News_Body_PlayerMightRetire_", 1, 4, currentStory )
		elseif( eventId == "RET" ) then
			AddConversation( storyPlayer, "PlayerFeedbackPopUp_PotentialRetirement_PlayerMightRetire_", 1, 4, "PlayerFeedbackPopUp_PotentialRetirement_PlayerMightRetire_subject", currentStory )
			RemoveUserPlayerFromTransferList( storyPlayer )
			SetStoryContractOverride( currentStory, 0 )	-- 0 is think of retiring
			SetStorySellPlayersOverride( currentStory, 0 )	-- 0 is think of retiring
			SetStoryMoraleOverride( currentStory, 0 ) 	-- 0 is think of retiring
			AddDateEvent( "PlayerRet", 1, storyId )
		elseif( eventId == "Ret_Inj" ) then
			SetStringPlayer( storyPlayer )
			SetStringTeam( storyTeam )
			SetNewsImportance( "EXCLUSIVE" )
			TriggerNews( "News_Title_PotentialRetirement_SufferedSevereInjury_", 1, 4, "News_Item_PotentialRetirement_SufferedSevereInjury_", 1, 4, currentStory )
			SetStoryStage( currentStory, 7 )
		end--if( eventId == storyId ) then
	end --if( linkId == storyId ) then	
end

function RetiringPlayerLastLeagueGame( numDays )
	if( numDays == GetTuningValue( "numDaysBeforeLastMatch", "RETIRE" ) ) then
		local storyId = "POTRET"
		local storyActive = IsStoryIDActive( storyId )
		if( storyActive == true ) then
			local currentStory = GetStoryById( storyId )
			local storyPlayer = GetStoryPlayer( currentStory )
			local storyTeam = GetStoryTeam( currentStory )
			local chanceOfRetirement = GetTuningValue( "chanceOfRetirementLastGame", "RETIRE" )
			local randChance = 90
			SetStringPlayer( storyPlayer )
			SetStringTeam( storyTeam )
			if( randChance < chanceOfRetirement ) then
				if( IsAbleToPlay( storyTeam, storyPlayer ) == true ) then
					AddConversation( storyPlayer, "PlayerFeedbackPopUp_PlayerAnnouncingRetirement_Retires_", 1, 4, "PlayerFeedbackPopUp_PlayerAnnouncingRetirement_Retires_subject", currentStory )
				end
				SetStoryMoraleOverride( currentStory, 1 ) 	-- 1 is retiring
				SetStoryContractOverride( currentStory, 1 )	-- 1 is retiring
				AddDateEvent( "PotRet_Ret", 1, storyId )
				SetRetirementFlag( storyPlayer )
				UpdateStoryActivity( currentStory )
			else --if( randChance < chanceOfRetirement ) then
				AddConversation( storyPlayer, "PlayerFeedbackPopUp_PlayerAnnouncingRetirement_NotRetiring_", 1, 4, "PlayerFeedbackPopUp_PlayerAnnouncingRetirement_NotRetiring_subject", currentStory )
				SetStoryMoraleOverride( currentStory, -1 ) 	-- Clearing
				SetStoryContractOverride( currentStory, -1 )	-- Clearing
				SetStorySellPlayersOverride( currentStory, -1 )	-- Clearing
				EndStoryId( storyId )
			end --if( randChance < chanceOfRetirement ) then
		end --if( storyActive == true ) then
	end --if( numDays == 2 ) then
end